package com.nantian.cloud.dbcapp.carbon.domain.carbonDetection;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author BurgessLee
 * @date 2022/07/22
 * @apiNote 计量器具基本信息
 */
@Data
@ApiModel(value="InstrumentInfoVo", description="计量器具基本信息")
public class InstrumentInfoVo implements Serializable {

    @ApiModelProperty(value = "计量器具编号", name = "code")
    private String code;

    @ApiModelProperty(value = "名称", name = "name")
    private String name;

    @ApiModelProperty(value = "型号", name = "specs")
    private String specs;

    @ApiModelProperty(value = "准确性等级", name = "acuLevel")
    private String acuLevel;

    @ApiModelProperty(value = "检定有效期", name = "assessExpire")
    private String assessExpire;

    @ApiModelProperty(value = "检定单位", name = "assessApply")
    private String assessApply;

    @ApiModelProperty(value = "更新时间", name = "updateDate")
    private String updateDate;

    @ApiModelProperty(value = "企业名称", name = "entName")
    private String entName;

}
