package com.nantian.cloud.dbcapp.carbon.domain.ent;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("dic_instrument_level")
@ApiModel(value = "InstrumentLevel对象", description = "计量器具层级")
public class InstrumentLevel implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID")
    private Long id;

    @ApiModelProperty(value = "计量器具层级编号")
    @TableField("LEVEL_CODE")
    private Long levelCode;

    @ApiModelProperty(value = "计量器具层级名称")
    @TableField("LEVEL_NAME")
    private String levelName;

    public static final String ID = "ID";

    public static final String LEVEL_CODE = "LEVEL_CODE";

    public static final String LEVEL_NAME = "LEVEL_NAME";
}
