package com.nantian.cloud.dbcapp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@TableName("t_big_screen")
@NoArgsConstructor
public class BigScreenModel {

    //id
    @TableId(value = "id", type = IdType.AUTO)
    private  Integer id;

    //类型
    @TableField("type")
    private  Integer type;

    //名称
    @TableField("name")
    private String name;

    @TableField("value")
    private double value;

    @TableField("year")
    private String year;

    @TableField("city")
    private String city;

    @TableField("county")
    private String county;

    @TableField("departmentName")
    private String departmentName;



    public static final String ID ="id";
    public static final String TYPE="type";
    public static final String  NAME="name";
    public static final String  VALUE="value";
    public static final String  YEAR="year";
    public static final String  STATE="state";
    public static final String  CITY="city";
    public static final String  COUNTY="county";
    public static final String  DEPARTMENTNAME="departmentName";







}
