package com.nantian.cloud.dbcapp.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("configure_data_collect_enable")
public class ConfigureDataCollectEnable {
    @TableId(value = "id", type = IdType.AUTO)
    private  Integer id;

    @TableField("enterpriseCode")
    private String enterpriseCode;

    @TableField("dataCode")
    private String dataCode;

    @TableField("dataCodeOld")
    private String dataCodeOld;

    @TableField("collectItemName")
    private String collectItemName;

    @ApiModelProperty(value = "开始时间")
    @TableField("startTime")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    @TableField("endTime")
    private String endTime;

    @ApiModelProperty(value = "创建时间")
    @TableField("creatTime")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date creatTime;

    @ApiModelProperty(value = "修改时间")
    @TableField("updateTime")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    @TableField("remark")
    private String remark;

    @TableField("delFlag")
    private String delFlag;
    @TableField("isEnable")
    private String isEnable;

    @ApiModelProperty(value = "创建用户id")
    @TableField("creatUserId")
    private Integer creatUserId;

    @ApiModelProperty(value = "创建用户id")
    @TableField("updateUserId")
    private Integer updateUserId;
}
