package com.nantian.cloud.dbcapp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("configure_data_collect_new")
public class ConfigureDataCollectNew {

    @TableId(value = "id", type = IdType.AUTO)
    private  Integer id;

    @TableField("enterpriseCode")
    private String enterpriseCode;

    @TableField("dataCode")
    private String dataCode;

    @TableField("collectItemName")
    private String collectItemName;

    @TableField("processCode")
    private String processCode;

    @TableField("processUnitCode")
    private String processUnitCode;

    @TableField("equipmentCode")
    private String equipmentCode;

    @TableField("equipmentUnitCode")
    private String equipmentUnitCode;

    @TableField("energyClassCode")
    private String energyClassCode;

    @TableField("energyTypeCode")
    private String energyTypeCode;

    @TableField("dataUsageCode")
    private String dataUsageCode;

    @TableField("inputType")
    private String inputType;

    @TableField("dataValueMax")
    private String dataValueMax;

    @TableField("dataValueMin")
    private String dataValueMin;

    @TableField("statType")
    private String statType;

    @TableField("collectSystemName")
    private String collectSystemName;

    @TableField("scope")
    private String scope;

    @TableField("state")
    private String state;

    @TableField("remark")
    private String remark;

    @TableField("uploadedCountry")
    private String uploadedCountry;

    @TableField("digest")
    private String digest;

    @TableField("quoted")
    private String quoted;

    @TableField("quotedByCollect")
    private String quotedByCollect;

    @TableField("updateSay")
    private String updateSay;

    @TableField("deleteSay")
    private String deleteSay;

    @TableField("isEnable")
    private String isEnable;

    @TableField("dataCodeOld")
    private String dataCodeOld;

    @TableField("minValue")
    private String minNum;

    @TableField("maxValue")
    private String maxNum;
}
