package com.nantian.cloud.dbcapp.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 采集数据类型编码表
 * </p>
 *
 * @author suixin
 * @since 2022-05-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DictCollectDataType extends Model<DictCollectDataType> {

    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 采集数据类型名称
     */
    private String meaning;

    /**
     * 编码
     */
    private String code;

    /**
     * 版本
     */
    private String version;

    /**
     * 引用
     */
    private Long quoted;

    /**
     * 状态：0表示未删除，1表示已删除
     */
    private Integer state;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
