package com.nantian.cloud.dbcapp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@TableName("t_exception_type")
@NoArgsConstructor
public class ExceptionTypeModel {

    //id
    @TableId(value = "id", type = IdType.AUTO)
    private  Integer id;

    //类型
    @TableField("type")
    private  Integer type;
    //异常名称
    @TableField("name")
    private String name;
    //最小值
    @TableField("minValue")
    private Integer minValue;
    //最大值
    @TableField("limitValue")
    private Integer limitValue;

    @TableField("state")
    private Integer state;
    @TableField("createTime")
    private LocalDateTime createTime;
    @TableField("updateTime")
    private LocalDateTime updateTime;
    @TableField("deleteTime")
    private LocalDateTime deleteTime;

    //删除标志 0 未删除  1已删除
    @TableField("deleteFlag")
    private Integer deleteFlag;


    public static final String ID ="id";
    public static final String TYPE="type";
    public static final String  NAME="name";
    public static final String  MINVALUE="minValue";
    public static final String  LIMITVALUE="limitValue";
    public static final String  STATE="state";
    public static final String  CREATETIME="createTime";
    public static final String  UPDATETIME="updateTime";
    public static final String  DELETETIME="deleteTime";
    public static final String  DELETEFLAG="deleteFlag";






}
