package com.nantian.cloud.dbcapp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("t_energy_index_info")
public class TEnergyIndexInfo {

    @TableId(value = "id", type = IdType.AUTO)
    private  Integer id;

    @TableField("enterpriseCode")
    private String enterpriseCode;

    @TableField("indexName")
    private String indexName;

    @TableField("energyKindsCode")
    private String energyKindsCode;

    @TableField("productCode")
    private String productCode;

    @TableField("base")
    private String base;

    @TableField("correctionValues")
    private String correctionValues;

    @TableField("baseState")
    private String baseState;

    @TableField("calculate")
    private String calculate;


}
