package com.nantian.cloud.dbcapp.mapper.jly;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.dbcapp.entity.BelowGradeNotice;
import org.apache.ibatis.annotations.Param;
import org.mapstruct.Mapper;

import java.util.List;

@Mapper
public interface BelowGradeNoticeMapper extends BaseMapper<BelowGradeNotice> {

    IPage<BelowGradeNotice> getManageInfo(Page page, @Param("query") BelowGradeNotice belowGradeNotice);

    IPage<BelowGradeNotice> getDetailInfo(Page page, @Param("query") BelowGradeNotice belowGradeNotice);

    void insertSysNotice(@Param("belowGradeNotice") BelowGradeNotice belowGradeNotice, @Param("userDept") String userDept, @Param("zfDeptStr") String zfDeptStr);

    List<BelowGradeNotice> getBelowGradeNoticeList(@Param("topic") String topic);


}
