package com.nantian.cloud.dbcapp.mapper.record;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.dbcapp.entity.ConfigureDataCollectEnableApply;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ConfigureDataCollectEnableApplyMapper extends BaseMapper<ConfigureDataCollectEnableApply> {

    IPage<ConfigureDataCollectEnableApply> getApplyPage(Page page, @Param("enableApply") ConfigureDataCollectEnableApply enableApply);

    boolean delApply(@Param("id") Integer id);

    boolean addEnableByApply(@Param("list") List<ConfigureDataCollectEnableApply> applyList);

    ConfigureDataCollectEnableApply getOldByApply(@Param("enableApply") ConfigureDataCollectEnableApply enableApply);

    boolean updateEnergyExceptionDataInfoByApplyStartTime(@Param("enterpriseCode") String enterpriseCode,
                                                          @Param("dataCode") String dataCode,
                                                          @Param("startTime") String startTime);

}
