package com.nantian.cloud.dbcapp.mapper.record;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.dbcapp.entity.ConfigureDataCollectEnable;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.security.core.parameters.P;

import java.util.List;
import java.util.Map;

@Mapper
public interface ConfigureDataCollectEnableMapper extends BaseMapper<ConfigureDataCollectEnable> {
    IPage<ConfigureDataCollectEnable> getEnableList(Page page,@Param("enterpriseCode") String enterpriseCode, @Param("dataCode") String dataCode);

    boolean removeconfigureDataCollectEnableById(ConfigureDataCollectEnable configureDataCollectEnable);

    List<ConfigureDataCollectEnable> getEnableTimeListByEnterpriseCode(@Param("enterpriseCode") String enterpriseCode);

}
