package com.nantian.cloud.dbcapp.mapper.record;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.dbcapp.dto.ResultBo;
import com.nantian.cloud.dbcapp.entity.DictEnergyUse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 能源用途编码表 Mapper 接口
 * </p>
 *
 * @author suixin
 * @since 2022-05-09
 */
@Mapper
public interface DictEnergyUseMapper extends BaseMapper<DictEnergyUse> {

    List<ResultBo> getEnergyUseClassCode();

    List<ResultBo> getEnergyUseList(@Param("classCode") String classCode);
}
