package com.nantian.cloud.dbcapp.mapper.record;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.dbcapp.entity.EnterpriseInfo;
import com.nantian.cloud.dbcapp.vo.ReportNumVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

@Mapper
public interface EnterpriseInfoMapper extends BaseMapper<EnterpriseInfo> {
    boolean updateByEpc(@Param("query") EnterpriseInfo enterpriseInfo);

    Map<String, Object> getShieldList(@Param("enterpriseCode") String enterpriseCode);

    IPage<EnterpriseInfo> getPageList(Page page, @Param("query") ReportNumVo reportNumVo);

    EnterpriseInfo getInfoByName(@Param("fileName") String fileName);
}
