package com.nantian.cloud.dbcapp.mapper.record;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.dbcapp.entity.TEnterpriseQuota;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface TEnterpriseQuotaMapper extends BaseMapper<TEnterpriseQuota> {
    List<Map<String, Object>> getQuotaList(@Param("page") Page page, @Param("enterpriseCode") String enterpriseCode);
    String getQuota(@Param("enterpriseCode") String enterpriseCode,@Param("quotaName") String quotaName);

    Integer getTotal(@Param("enterpriseCode") String enterpriseCode);
}
