package com.nantian.cloud.dbcapp.pojo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.metadata.BaseRowModel;
import io.swagger.annotations.ApiModel;
import lombok.Data;

@Data
@ApiModel(value = "企业传输数据情况")
@ExcelIgnoreUnannotated
public class EnterpriseEnergyDataInfoPOJO extends BaseRowModel {

    @ColumnWidth(5)
    @ExcelProperty(value = "序号",index = 0)
    private String id;

    @ColumnWidth(5)
    @ExcelProperty(value = "地区名称",index = 1)
    private String tname;

    @ColumnWidth(45)
    @ExcelProperty(value = "企业名称", index = 2)
    private String cmpName;

    @ColumnWidth(20)
    @ExcelProperty(value = "企业信用代码", index = 3)
    private String enterpriseCode;

    @ColumnWidth(10)
    @ExcelProperty(value = {"采集频率为日（参与结算的一级数据）","采集点（个）"}, index = 4)
    private Integer collectR;

    @ColumnWidth(11)
    @ExcelProperty(value = {"采集频率为日（参与结算的一级数据）","应送数据（条）"}, index = 5)
    private Integer collectRLL;

    @ColumnWidth(14)
    @ExcelProperty(value = {"采集频率为日（参与结算的一级数据）","实际传数据（条）"}, index = 6)
    private Integer dataRSJ;

    @ColumnWidth(10)
    @ExcelProperty(value = {"采集频率为月（参与结算的一级数据）","采集点（个）"}, index = 7)
    private Integer collectY;

    @ColumnWidth(11)
    @ExcelProperty(value = {"采集频率为月（参与结算的一级数据）","应送数据（条）"}, index = 8)
    private Integer collectYLL;

    @ColumnWidth(14)
    @ExcelProperty(value = {"采集频率为月（参与结算的一级数据）","实际传数据(条)"}, index = 9)
    private Integer dataYSJ;

    @ColumnWidth(30)
    @ExcelProperty(value = "备注", index = 10)
    private String remark;

    @ColumnWidth(10)
    @ExcelProperty(value = "产品类行业",index = 11)
    private String productTrade;

    private Integer state; //1没有按时送数据，0按时送数据
}
