package com.nantian.cloud.dbcapp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.dbcapp.dto.ResponseBo;
import com.nantian.cloud.dbcapp.entity.DictEnergyUse;

import java.util.List;

/**
 * <p>
 * 能源用途编码表 服务类
 * </p>
 *
 * @author suixin
 * @since 2022-05-09
 */
public interface DictEnergyUseService extends IService<DictEnergyUse> {

    /**
     * @Description: 查询能源业务分类、用途编码及名称的树数据结构
     * @Author: suixin
     * @Date: 2022/5/9
     * @Return: java.util.List<com.nantian.cloud.dbcapp.dto.ResponseBo>
     * @Param: []
     */
    List<ResponseBo> getEnergyUseList();
}
