package com.nantian.cloud.dbcapp.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.dbcapp.entity.EnterpriseInfo;
import com.nantian.cloud.dbcapp.vo.ReportNumVo;

import java.util.Map;

public interface EnterpriseInfoService extends IService<EnterpriseInfo> {


    boolean updateByEpc(EnterpriseInfo enterpriseInfo);

    Map<String, Object> getShieldList(String enterpriseCode);

    IPage<EnterpriseInfo> getPageList(Page page, ReportNumVo reportNumVo);
}
