package com.nantian.cloud.dbcapp.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.dbcapp.entity.ReportAbarbeitung;

/**
 * <p>
 * 不合格报告整改记录表 服务类
 * </p>
 *
 * @author qqm
 * @since 2024-03-08
 */
public interface IReportAbarbeitungService extends IService<ReportAbarbeitung> {
    /**
     * @Author: dengjian
     * @DATE: 2024/3/12 10:24
     * @Description: 获取不合格报告整改记录表信息
     * @Param: [page, enterpriseCode, abarbeitungSchedule]
     *
     */
    IPage<ReportAbarbeitung> getReportAbarbeitungInfo(Page page,String enterpriseCode,String enterpriseName,String abarbeitungSchedule);


    ReportAbarbeitung selectOneByEntName(String entName,String startTime,String endTime);

}
