package com.nantian.cloud.dbcapp.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.dbcapp.entity.SettlementDataConfig;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 企业数据结算周期配置 服务类
 * </p>
 *
 * @author qqm
 * @since 2024-01-25
 */
public interface ISettlementDataConfigService extends IService<SettlementDataConfig> {

    IPage<SettlementDataConfig> getSettlementDataConfigInfo(Page page,SettlementDataConfig settlementDataConfig);

    SettlementDataConfig getSettlementDataConfigInfoByOne(String enterpriseCode,String statDate,String month,String formulName);


    SettlementDataConfig isCheckEntSettlement(String enterpriseCode,String formulName,String month);

    Boolean isCheckSettleMonth(SettlementDataConfig settlementData, String month);

    List<SettlementDataConfig> getSettleMonthByEnterpriseCode(String enterpriseCode,String time);


}
