package com.nantian.cloud.dbcapp.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.dbcapp.dto.ResultBo;
import com.nantian.cloud.dbcapp.entity.CompanyMaterielProduct;
import com.nantian.cloud.dbcapp.mapper.record.CompanyMaterielProductMapper;
import com.nantian.cloud.dbcapp.service.CompanyMaterielProductService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 企业物料产品信息 服务实现类
 * </p>
 *
 * @author suixin
 * @since 2022-05-12
 */
@Service
public class CompanyMaterielProductServiceImpl extends ServiceImpl<CompanyMaterielProductMapper, CompanyMaterielProduct> implements CompanyMaterielProductService {

    @Override
    public List<ResultBo> getProductResultBo(String enterpriseCode) {
        return this.baseMapper.getProductResultBoByEpc(enterpriseCode);
    }
}
