package com.nantian.cloud.dbcapp.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ApplyRecord {
    private Integer id;
    private String enterpriseCode;
    private String dataCode;
    private String collectName;
    private String editReason;
    private String remark;
    private String applyTime;
    private String dataValue;
    private String applyType; //申请状态（0已申请，1已完成）
    private String auditType; //审核状态（0通过，1退回，2未审核）
    private String auditUser;
    private String auditText;
    private String auditTime;
    private String operaType; //操作类型（1修改，2删除，3处理波动异常）
    private String dataId;
    private String statDate;
    private String statType;
    private String convertRation;
    private String editDataValue; //修改的数据
    private String editConvertRation; //修改的折标系数
}
