package com.nantian.cloud.dbcapp.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 接收返回的煤消耗量
 */
@Data
//@AllArgsConstructor
//@NoArgsConstructor
public class CoalVo {

    @ApiModelProperty(value = "月份")
    private  String  month;

    @ApiModelProperty(value = "值")
    private  String  value;

    @ApiModelProperty(value = "数据传输异常")
    private  String  value1;

    @ApiModelProperty(value = "数据波动异常")
    private  String  value2;

    @ApiModelProperty(value = "电力数据异常")
    private  String  value3;

    @ApiModelProperty(value = "综合能耗异常")
    private  String  value4;

    @ApiModelProperty(value = "单位产品能耗异常")
    private  String  value5;

    @ApiModelProperty(value = "数据是否为补传、修改")
    private  String  isAdditional;

    public CoalVo() {
    }

    public CoalVo(String month, String value) {
        this.month = month;
        this.value = value;
    }

    public CoalVo(String month, String value, String value1, String value2, String value3, String value4, String value5) {
        this.month = month;
        this.value = value;
        this.value1 = value1;
        this.value2 = value2;
        this.value3 = value3;
        this.value4 = value4;
        this.value5 = value5;
    }

    public CoalVo(String month, String value, String value1, String value2, String value3, String value4, String value5,String isAdditional) {
        this.month = month;
        this.value = value;
        this.value1 = value1;
        this.value2 = value2;
        this.value3 = value3;
        this.value4 = value4;
        this.value5 = value5;
        this.isAdditional = isAdditional;
    }

}
