package com.nantian.cloud.dbcapp.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 采集情况
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CollectCompanyVo {
    @ApiModelProperty(value = "在线监测企业总数")
    private Integer companyTotal;
    @ApiModelProperty(value = "在线监测企业总数")
    private Integer collectCompanyNum;
    @ApiModelProperty(value = "在线监测企业采集记录总数")
    private Integer collectNum;
    @ApiModelProperty(value = "电网公司企业总数")
    private Integer electricityCompanyNUm;
    @ApiModelProperty(value = "电网公司记录总数")
    private Integer electricityNum;
    @ApiModelProperty(value = "异常记录条数")
    private Integer exceptionNum;
    @ApiModelProperty(value = "上送国家平台企业数量")
    private Integer updateCountryNUm;
    @ApiModelProperty(value = "上送国家平台企业采集记录数")
    private Integer updateCountryValue;
    @ApiModelProperty(value = "上送国家平台企业成功")
    private Integer updateCountryNUmSuccess;
    @ApiModelProperty(value = "上送国家平台企业失败")
    private Integer updateCountryNUmFail;
    @ApiModelProperty(value = "上送国家平台在线企业数量")
    private Integer updateCountryCollectNUm;
    @ApiModelProperty(value = "上送国家平台企业在线采集记录数")
    private Integer updateCountryCollectValue;
    @ApiModelProperty(value = "上送国家平台电网企业数量")
    private Integer updateCountryElectricityNUm;
    @ApiModelProperty(value = "上送国家平台企业电网采集记录数")
    private Integer updateCountryElectricityValue;
    @ApiModelProperty(value = "上送国家平台企业总数")
    private Integer updateCountryTotal;

    public CollectCompanyVo(Integer collectCompanyNum, Integer collectNum, Integer electricityCompanyNUm, Integer electricityNum, Integer updateCountryValue, Integer updateCountryTotal) {
        this.collectCompanyNum = collectCompanyNum;
        this.collectNum = collectNum;
        this.electricityCompanyNUm = electricityCompanyNUm;
        this.electricityNum = electricityNum;
        this.updateCountryValue = updateCountryValue;
        this.updateCountryTotal = updateCountryTotal;
    }

    public CollectCompanyVo(Integer companyTotal, Integer collectCompanyNum, Integer electricityCompanyNUm, Integer updateCountryTotal, Integer updateCountryValue, Integer collectNum, Integer electricityNum ) {
        this.companyTotal = companyTotal;
        this.collectCompanyNum = collectCompanyNum;
        this.electricityCompanyNUm = electricityCompanyNUm;
        this.updateCountryTotal = updateCountryTotal;
        this.updateCountryValue = updateCountryValue;
        this.collectNum = collectNum;
        this.electricityNum = electricityNum;
    }
}
