package com.nantian.cloud.dbcapp.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 接收返回的CompanyVO
 */
@Data
public class CollectValueVO {

    @ApiModelProperty(value = "采集点id")
    private  String  id;

    @ApiModelProperty(value = "采集点编码")
    private  String  code;

    @ApiModelProperty(value = "采集点名称")
    private  String  name;

    @ApiModelProperty(value = "计量器具名称")
    private  String  unitName;

    @ApiModelProperty(value = "管理编号")
    private  String  manageNo;

    @ApiModelProperty(value = "器具等级")
    private  String  level;

    @ApiModelProperty(value = "安装位置")
    private  String  address;

    @ApiModelProperty(value = "规格型号")
    private  String  model;

    @ApiModelProperty(value = "测量范围")
    private  String  ranges;

}
