package com.nantian.cloud.dbcapp.vo;

import lombok.Data;
import java.util.Date;

/**
 * 在线采集月报告异常企业信息(每月6号提供给发改的异常企业信息)
 */
@Data
public class ExceptionEnterpriseInfos {
    private Integer id;
    private String epc;
    private String name;
    private String region;
    private String statDate; //统计周期
    private String state;    //状态（1异常，0正常）
    private String remark;   //备注
    private Integer userId;
    private Date updateTime;
}
