package com.nantian.cloud.dbcapp.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author suixin
 * @date 2022/8/24
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ExceptionIndexVo {
    /**
     * 社会信用代码
     */
    private String enterpriseCode;
    /**
     * 指标名称
     */
    private String quotaName;
    /**
     * 统计周期
     */
    private String statDate;
    /**
     * 数据值
     */
    private String dataValue;

    /**
     * 数据值单位
     */
    private String quotaUnit;
    /**
     * 异常名称
     */
    private String exceptionName;

    /**
     * 合理区间范围
     */
    private String reasonableRange;

    /**
     * 异常原因明细
     */
    private String exceptionDetail;

    /**
     * 异常判断规则-第一维度
     */
    private String dimensionOne;
    /**
     * 异常判断规则-第二维度
     */
    private String dimensionTwo;
    /**
     * 异常判断规则-第三维度
     */
    private String dimensionThree;
}
