package com.nantian.cloud.dbcapp.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 计量器具详情
 */
@Data
public class InstrumentVO {

    @ApiModelProperty(value = "检测机构")
    private  String alignOrg;

    @ApiModelProperty(value = "安装地点")
    private  String location;

    @ApiModelProperty(value = "安装方")
    private  String installer;

    @ApiModelProperty(value = "安装时间")
    private  String installTime;

    @ApiModelProperty(value = "接入系统")
    private  String linkSys;

    @ApiModelProperty(value = "设备出产序列号")
    private  String serNo;

    @ApiModelProperty(value = "器具等级")
    private  String meterLevel;

    @ApiModelProperty(value = "计量相关参数")
    private  String params;

    @ApiModelProperty(value = "所属上报数据组合编码")
    private  String dataCode;

    @ApiModelProperty(value = "与上报数据组合编码算术关系")
    private  String reportArithmetic;

    @ApiModelProperty(value = "与上报数据组合编码算术系数")
    private  String reportRatio;

    @ApiModelProperty(value = "规格型号")
    private  String model;

    @ApiModelProperty(value = "精确度等级")
    private  String precisionLevel;

    @ApiModelProperty(value = "测量范围")
    private  String ranges;

    @ApiModelProperty(value = "管理编号")
    private  String manageNo;

    @ApiModelProperty(value = "检定校准状态")
    private  String alignState ;

    @ApiModelProperty(value = "检定校准周期")
    private  String alignCycle;

    @ApiModelProperty(value = "最近一次检定校准时间")
    private  String LastAlignDate;

    @ApiModelProperty(value = "参数类型")
    private  String paramsType;
}
