package com.nantian.cloud.dbcapp.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 接收返回的实物量
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MaterialVo {

    /**
     名称
     */
    @ApiModelProperty(value = "名称")
    private  String  name;

    /**
     code
     */
    @ApiModelProperty(value = "实物code")
    private  String  code;

    /**
     实物单位
     */
    @ApiModelProperty(value = "实物单位")
    private  String  unit;

    @ApiModelProperty(value = "类型")
    private String type;

    @ApiModelProperty(value = "类别")
    private String category;

}
