package com.nantian.cloud.dbcapp.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 接收返回的Electricity
 */
@Data
public class MobileInfoVO {

    @ApiModelProperty(value = "公司名称")
    private String name;

    @ApiModelProperty(value = "统一社会信用代码")
    private  String  enterpriseCode;

    @ApiModelProperty(value = "综合能耗")
    private  String  tce;

    @ApiModelProperty(value = "采集点数")
    private  Integer  collection;

    @ApiModelProperty(value = "单位主管节能领导", hidden = true)
    private  String  man1;

    @ApiModelProperty(value = "单位主管节能领导电话", hidden = true)
    private  String  phone1;

    @ApiModelProperty(value = "能源管理负责人", hidden = true)
    private  String  man2;

    @ApiModelProperty(value = "能源管理负责人电话", hidden = true)
    private  String  phone2;

    @ApiModelProperty(value = "能源管理联系人", hidden = true)
    private  String  man3;

    @ApiModelProperty(value = "能源管理联系人电话", hidden = true)
    private  String  phone3;

    @ApiModelProperty(value = "单位联系人")
    private List<CoalVo> contactList;

    @ApiModelProperty(value = "按月统计tce")
    private List<CoalVo> tceList;

}
