package com.nantian.cloud.dbcapp.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 接收返回的CompanyVO
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MobileMeasureVO {

    @ApiModelProperty(value = "能源计量人员姓名")
    private  String  name;

    @ApiModelProperty(value = "所属企业")
    private  String  cmpName;

    @ApiModelProperty(value = "所属企业地区")
    private  String  cmpNameArea;

    @ApiModelProperty(value = "所属企业行业")
    private  String  cmpNameIndustry;

    @ApiModelProperty(value = "是否持证 0否 1是")
    private  Integer  isCz;

    @ApiModelProperty(value = "专业技术职称")
    private  String  zc;

    @ApiModelProperty(value = "技术名称")
    private  String  jsmc;

    @ApiModelProperty(value = "专业技术编号")
    private  String  nob;

    @ApiModelProperty(value = "所在部门")
    private  String  department;

    @ApiModelProperty(value = "所在岗位")
    private  String  post;

    @ApiModelProperty(value = "联系电话")
    private  String  phone;
    @ApiModelProperty(value = "企业编码")
    private String epcCode;
}
