package com.nantian.cloud.dbcapp.vo;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author suixin
 * @date 2023/5/29
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class RelevanceStateVo {

    /**
     * 社会信用代码
     */
    private String enterpriseCode;

    /**
     * 采集编码
     */
    private String dataCode;

    /**
     * 关联状态：0-未关联，1-表示已关联
     */
    private String relevanceState;

    /**
     * 审核状态：审核状态：0-未审核，1-审核通过，2-审核不通过
     */
    private String auditStatus;
}
