package com.nantian.cloud.dbcapp.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 接收返回的限额数
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class StandardVO {


    @ApiModelProperty(value = "限定值")
    private  String  limitValue;


    @ApiModelProperty(value = "先进值")
    private  String  advancedValue;

    @ApiModelProperty(value = "准入值")
    private  String  admitValue;

    @ApiModelProperty(value = "标准类型  0国家标准  1省级标准")
    private  String  type;

    @ApiModelProperty(value = "标杆水平")
    private String benchmarkingLevel;


    @ApiModelProperty(value = "基准水平")
    private String datumPlane;

    @ApiModelProperty(value = "限定值(地方标准)")
    private  String  dbLimitValue;


    @ApiModelProperty(value = "先进值(地方标准)")
    private  String  dbAdvancedValue;

    @ApiModelProperty(value = "准入值(地方标准)")
    private  String  dbAdmitValue;

    @ApiModelProperty(value = "标准实施日期")
    private String implementData;

    @ApiModelProperty(value = "入炉矿品位国标参考值")
    private Double furnaceGrade;

    @ApiModelProperty(value = "入炉矿品位升高(降低),限额值降低(升高)调整对应值")
    private Double adjustedValue;


    @ApiModelProperty(value = "标准类型名称，行标、国标")
    private String standardTypeName;

}
