package com.nantian.cloud.ggjg;

import com.nantian.sc.cloud.common.security.annotation.EnableScFeignClients;
import com.nantian.sc.cloud.common.security.annotation.EnableScResourceServer;
import com.nantian.sc.cloud.common.swagger.annotation.EnableScSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.client.SpringCloudApplication;

@EnableScSwagger2
@SpringCloudApplication
@EnableScFeignClients
@EnableScResourceServer
public class GgjgApplication {
    public static void main(String[] args) {
        SpringApplication.run(GgjgApplication.class, args);
    }
}
