package com.nantian.cloud.ggjg.controller;

import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.ggjg.entity.Mlk;
import com.nantian.cloud.ggjg.service.MlkService;
import com.nantian.cloud.ggjg.service.SkService;
import com.nantian.sc.cloud.common.core.util.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;

@CrossOrigin
@RestController
@AllArgsConstructor
@RequestMapping("/sk")
@Api(value = "sk", tags = "双控")
public class SkController {

    private com.nantian.cloud.ggjg.service.SkService skService;


    @GetMapping("/tjb")
    @ApiOperation(value = "双控", notes = "双控统计表")
    @ApiImplicitParams({
               @ApiImplicitParam(name = "sk", value = "双控", required = false, dataType = "json", paramType = "path")
    })
    public R getSkTjb(Mlk sk) {
        HashMap<String,String> map =new HashMap<String,String>();
        return R.ok(skService.queryTjb(map));
    }

}
