package com.nantian.cloud.ggjg.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@Data
@TableName("t_quota")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "定额")
public class Quota extends Model<Quota> {
    @TableId(value = "id")
    @ApiModelProperty(value="主键id")
    private Long id;
    private String areaCode;
    private String type;
    private Long comprehensiveEnergy;
    private Long buildingEnergyTotal;
    private Long buildingEnergy;
    private Long waterEnergy;
    private Long electricityEnergy;
    private Long comprehensiveEnergyConstraints;
    private Long comprehensiveEnergyBaseline;
    private Long comprehensiveEnergyBoot;
    private Date updateTime;


}
