package com.nantian.cloud.ggjg.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("t_quota_manage")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "能耗定额指标管理")
public class TQuotaManage extends Model<TQuotaManage> {
    @TableId(value = "id")
    @ApiModelProperty(value="主键id")
    private Long id;
    private Integer userid;
    private Date updateTime;
    private String delFlag;
    private Integer deptId;
    private String area;
    private String indicators;
    private String type;
    private BigDecimal energyConstraints;
    private BigDecimal energyBaseline;
    private BigDecimal energyBoot;
    private String remark;
    private String kind;
}
