package com.nantian.cloud.jljc;


import com.nantian.sc.cloud.common.security.annotation.EnableScFeignClients;
import com.nantian.sc.cloud.common.security.annotation.EnableScResourceServer;
import com.nantian.sc.cloud.common.swagger.annotation.EnableScSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Bean;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 *
 * @date 2020-08-03
 * demo
 */

@EnableScheduling
@EnableScSwagger2
@SpringCloudApplication
@EnableScFeignClients(basePackages={"com.nantian.sc.cloud","com.nantian.cloud.jljc"})
@EnableScResourceServer
@EnableTransactionManagement
public class NtJljcApplication {

	public static void main(String[] args) {
		SpringApplication.run(NtJljcApplication.class, args);
	}

/*	@Bean
	public static MinIoConfig minIoConfig(){
		return new MinIoConfig();
	}*/
}
