package com.nantian.cloud.jljc.controller;


import com.nantian.cloud.jljc.entity.DischargeEnergyIndex;
import com.nantian.cloud.jljc.entity.DischargeEnergyStock;
import com.nantian.cloud.jljc.service.DischargeEnergyIndexService;
import com.nantian.cloud.jljc.vo.dischargeEnergy.DischargeEnergyStockVo;
import com.nantian.sc.cloud.common.core.util.R;
import com.nantian.sc.cloud.common.log.annotation.SysLog;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 两高项目指标表 前端控制器
 * </p>
 *
 * @since 2022-03-25
 */
@CrossOrigin
@AllArgsConstructor
@RestController
@RequestMapping("/DischargeEnergyIndex")
public class DischargeEnergyIndexController {

    @Autowired
    private DischargeEnergyIndexService dischargeEnergyIndexService;

    /**
     * 新增产品指标
     */
    @PostMapping("/save")
    @SysLog("新增两高项目指标表")
    public R save(@RequestBody DischargeEnergyIndex dischargeEnergyIndex){
        return R.ok(dischargeEnergyIndexService.save(dischargeEnergyIndex));
    }


}
