package com.nantian.cloud.jljc.controller;


import com.nantian.cloud.jljc.entity.DischargeEnergyIndex;
import com.nantian.cloud.jljc.entity.DischargeEnergyProduct;
import com.nantian.cloud.jljc.service.DischargeEnergyProductService;
import com.nantian.sc.cloud.common.core.util.R;
import com.nantian.sc.cloud.common.log.annotation.SysLog;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 两高项目产品表 前端控制器
 * </p>
 *
 * @since 2022-03-25
 */
@AllArgsConstructor
@CrossOrigin
@RestController
@RequestMapping("/DischargeEnergyProduct")
public class DischargeEnergyProductController {
    @Autowired
    private DischargeEnergyProductService dischargeEnergyProductService;

    /**
     * 新增两高项目产品表
     */
    @PostMapping("/save")
    @SysLog("新增两高项目产品")
    public R save(@RequestBody DischargeEnergyProduct dischargeEnergyProduct){
        return R.ok(dischargeEnergyProductService.save(dischargeEnergyProduct));
    }

}
