package com.nantian.cloud.jljc.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * （慧能）能源表
 * @since 2020-11-11
 */
@Data
@TableName("h_energy")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "（慧能）能源表")
public class HEnergy extends Model<HEnergy>{

    private String type;
    private String code;
    private String energyName;
    private String unit;
    private String refModulus;
    private String equalModulus;
    private String unitModulus;
    private String tec;
}
