package com.nantian.cloud.jljc.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * （慧能）工序
 * @since 2020-11-23
 */
@Data
@TableName("h_table_kind")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "（慧能）工序")
public class HTableKind extends Model<HTableKind> {

    private static final long serialVersionUID = 1L;

    private Integer id;

    private String production;

    private String productName;

    private String unit;
    private String unit2;

    private String code;
    private String code2;

    private String calculationResults;

    private String refModulus;
    private String bd;
    private String resultItem;
    private String inputItem;
    private String oldCode;

    @ApiModelProperty(value = "特征码")
    private String codes;

    @ApiModelProperty(value = "统计单位能耗标识（0不是汇总，1综合能耗，2产量/消耗量等）")
    private String tce;

}
