package com.nantian.cloud.jljc.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 节能监察对标信息
 * @since 2020-11-24
 */
@Data
@TableName("t_supervision_quota")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "节能监察对标信息")
public class TSupervisionQuota extends Model<TSupervisionQuota> {

    private static final long serialVersionUID = 1L;

    /**
     * 特征码
     */
    @ApiModelProperty(value = "特征码")
    private String code;

    /**
     * 说明
     */
    @ApiModelProperty(value = "说明")
    private String annotation;

    private String param;

    /**
     * 准入值
     */
    @ApiModelProperty(value = "准入值")
    private String access;

    /**
     * 先进值
     */
    @ApiModelProperty(value = "先进值")
    private String advance;

    /**
     * 限定值
     */
    @ApiModelProperty(value = "限定值")
    private String limits;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
}
