package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jljc.entity.CcDirect;
import com.nantian.cloud.jljc.entity.ReportDate;
import com.nantian.cloud.jljc.vo.CcDirectVo;
import com.nantian.cloud.jljc.vo.CcFactorVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 法规和标准
 *
 * @author
 * @date 2020-08-03
 */
@Mapper
public interface CcDirectMapper extends BaseMapper<CcDirect> {


    List<CcDirectVo> getAllByEpcYear(@Param("epc") String epc, @Param("cyear") Integer year);
}
