package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.DischargeEnergyAudit;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 两高项目审核流程表(t_discharge_energy_audit)数据Mapper
 *
 * @author gj
 * @since 2022-02-18 16:38:31
 * @description 
*/
@Mapper
public interface DischargeEnergyAuditMapper extends BaseMapper<DischargeEnergyAudit> {

    IPage<DischargeEnergyAudit> getPageData(Page page, @Param("query") DischargeEnergyAudit dischargeEnergyAudit, DataScope dataScope);
}
