package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.DischargeEnergyPlan;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jljc.vo.dischargeEnergy.DischargeEnergyPlanVo;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 两高项目拟建表(t_discharge_energy_plan)数据Mapper
 *
 * @author gj
 * @since 2022-02-17 09:16:42
 * @description 
*/
@Mapper
public interface DischargeEnergyPlanMapper extends BaseMapper<DischargeEnergyPlan> {

    IPage<DischargeEnergyPlan> getPageData(Page page, @Param("query") DischargeEnergyPlan dischargeEnergyPlan, DataScope dataScope);

    List<DischargeEnergyPlanVo> getCityData(@Param("query") DischargeEnergyPlan dischargeEnergyPlan, DataScope dataScope);
}
