package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.DischargeEnergyStock;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jljc.vo.dischargeEnergy.DischargeEnergyStockVo;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 两高项目存量表(t_discharge_energy_stock)数据Mapper
 *
 * @author gj
 * @since 2022-02-15 09:40:50
 * @description 
*/
@Mapper
public interface DischargeEnergyStockMapper extends BaseMapper<DischargeEnergyStock> {

    IPage<DischargeEnergyStockVo> getPageData(Page page, @Param("query") DischargeEnergyStock dischargeEnergyStock, DataScope dataScope);

    List<DischargeEnergyStockVo> getCityData(@Param("query") DischargeEnergyStock dischargeEnergyStock, DataScope dataScope);

    List<Map<String, Object>> getNumAndTceData( @Param("query") DischargeEnergyStock dischargeEnergyStock, DataScope dataScope);

    List<Map<String, Object>> getindustryNumAndTce(@Param("query") DischargeEnergyStock dischargeEnergyStock, DataScope dataScope);

    int addStock(@Param("query") DischargeEnergyStock dischargeEnergyStock);

    IPage<DischargeEnergyStockVo> getStockProductIndex(Page page,@Param("query") DischargeEnergyStock dischargeEnergyStock, DataScope dataScope);
}
