package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.EpcEnergyAccuracyAnalysis;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 企业能耗准确性分析 Mapper 接口
 * </p>
 *
 * @author scott
 * @since 2020-08-10
 */
@Mapper
public interface EpcEnergyAccuracyAnalysisMapper extends BaseMapper<EpcEnergyAccuracyAnalysis> {

    IPage<EpcEnergyAccuracyAnalysis> getPageScope(Page page, @Param("query") EpcEnergyAccuracyAnalysis epcEnergyAccuracyAnalysis, DataScope dataScope);
}
