package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.TDualcontrolProgressApply;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 能耗双控-完成情况修改申请 Mapper 接口
 */
@Mapper
public interface TDualcontrolProgressApplyMapper extends BaseMapper<TDualcontrolProgressApply> {

    IPage<TDualcontrolProgressApply> pageByScope(Page page, @Param("query") TDualcontrolProgressApply apply, @Param("deptId") String deptId);

    Map<String,String> countByScope(@Param("query") TDualcontrolProgressApply apply, @Param("deptId") String deptId);

    IPage<TDualcontrolProgressApply> ownApply(Page page,@Param("query") TDualcontrolProgressApply apply,@Param("deptId") String deptId);
}
