package com.nantian.cloud.jljc.mapper;

import com.nantian.cloud.jljc.entity.TDualcontrolProgress;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jljc.entity.TDualcontrolProgressLog;
import com.nantian.cloud.jljc.vo.dualControl.DualcontrolImpactFactorVo;
import com.nantian.cloud.jljc.vo.dualControl.DualcontrolNoDataQuarter;
import com.nantian.cloud.jljc.vo.dualControl.DualcontrolVisualizationVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 能耗双控-完成情况填报 Mapper 接口
 */
@Mapper
public interface TDualcontrolProgressMapper extends BaseMapper<TDualcontrolProgress> {

    TDualcontrolProgressLog getLogById(@Param("id") Long id);

    TDualcontrolProgress getProgressByQuarter(@Param("query") TDualcontrolProgress progress);

    List<TDualcontrolProgress> listByIndex(@Param("query") TDualcontrolProgress progress);

    TDualcontrolProgress sumByIndex(@Param("query") TDualcontrolProgress progress);

    List<DualcontrolVisualizationVo> getVisualizationVoTmp(@Param("plan") String planYear, @Param("pre") Integer preYear, @Param("start") Integer startYear, @Param("end") Integer endYear, @Param("quarter") String quarter, @Param("region") String region);

    DualcontrolVisualizationVo getVisualizationSumVoTmp(@Param("plan") String planYear, @Param("pre") Integer preYear, @Param("start") Integer startYear, @Param("end") Integer endYear, @Param("quarter") String quarter, @Param("region") String regionSum);

    List<DualcontrolNoDataQuarter> getNoDataQuarter(@Param("year") Integer endYear, @Param("list") String[] quarterArr, @Param("region") String region);

    List<String> getYearByPlan(@Param("start") Integer startYear,@Param("end") Integer endYear);

    List<TDualcontrolProgress> getCompletionList(@Param("year") String tmpYear,@Param("quarter") String quarter,@Param("region") String region);
}
