package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.TFaAccreditingBody;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 固定资产投资项目节能审查评审机构负责人表 Mapper 接口
 * </p>
 *
 * @author fyf
 * @since 2022-02-15
 */
@Mapper
public interface TFaAccreditingBodyMapper extends BaseMapper<TFaAccreditingBody> {

    IPage<TFaAccreditingBody> getPage(Page page, TFaAccreditingBody tFaAccreditingBody, DataScope dataScope);

    List<TFaAccreditingBody> getProjectTime(DataScope dataScope);
}
