package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.TFaFixedAssets;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jljc.vo.TFaProjectVO;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 固定资产投资项目节能审查企业项目表 Mapper 接口
 * </p>
 *
 * @author fyf
 * @since 2022-02-15
 */
@Mapper
public interface TFaFixedAssetsMapper extends BaseMapper<TFaFixedAssets> {
    IPage<TFaFixedAssets> getPage(Page page, @Param("query") TFaFixedAssets tFaFixedAssets, DataScope dataScope);

    IPage<TFaProjectVO> getProjectInfo(Page page, @Param("query") TFaFixedAssets tFaFixedAssets, DataScope dataScope);
}
