package com.nantian.cloud.jljc.mapper;

import com.nantian.cloud.jljc.entity.TReportEnergyOut;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 报表1-2-1能源产出表 Mapper 接口
 * @since 2020-11-03
 */
@Mapper
public interface TReportEnergyOutMapper extends BaseMapper<TReportEnergyOut> {

    //根据报表id，能源名称获取能源消费表信息
    TReportEnergyOut getOutByReportIdAndName(@Param("reportId") long reportId,@Param("name") String name);

    //获取完整的能源产出表信息（39项）
    List<TReportEnergyOut> getAllOutByReportId(Long reportId);

    List<TReportEnergyOut> comparison(@Param("enterpriseCode") String enterpriseCode, @Param("year")String year);
}
