package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.TReportEnergyProject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jljc.vo.TReportEnergyQuery;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 报表1-5项目表 Mapper 接口
 * @since 2020-09-16
 * @author stz
 */
@Mapper
public interface TReportEnergyProjectMapper extends BaseMapper<TReportEnergyProject> {

    IPage<TReportEnergyProject> queryList(Page page, @Param("query")TReportEnergyQuery tReportEnergyQuery, DataScope dataScope);

    IPage<TReportEnergyProject> getProjectByReportId(Page page,@Param("reportId") Long reportId);

    List<TReportEnergyProject> getProjectTypeList();

    IPage<TReportEnergyProject> getByYear(Page page, @Param("query")TReportEnergyQuery tReportEnergyQuery);
}
