package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jljc.entity.TReportFinancial;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 报表1-1财务信息  Mapper 接口
 * @since 2020-09-17
 * @author stz
 */
@Mapper
public interface TReportFinancialMapper extends BaseMapper<TReportFinancial> {

    //根据报表信息id获取财务信息
    TReportFinancial getFinancialsByReportId(@Param("reportId") Long reportId);
}
