package com.nantian.cloud.jljc.mapper;

import com.nantian.cloud.jljc.entity.TReportUnitenergyComp;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 报表1-3-1可比单位产品综合能耗表 Mapper 接口
 * @since 2021-01-06
 */
@Mapper
public interface TReportUnitenergyCompMapper extends BaseMapper<TReportUnitenergyComp> {

    //通过根据本年、上年报表id获取获取信息
    List<TReportUnitenergyComp> getUnitenergyCompByReportId(@Param("reportId") Long reportId,@Param("prevReportId") Long prevReportId);

    //根据报表设置信息、上年id初始化报表信息
    List<TReportUnitenergyComp> initialize(@Param("ids") List<Long> ids,@Param("reportId") Long reportId);
}
