package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jljc.entity.TSupervisionComprehensiveEnergy;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 节能监察综合能耗
 * @since 2020-11-12
 */
@Mapper
public interface TSupervisionComprehensiveEnergyMapper extends BaseMapper<TSupervisionComprehensiveEnergy> {

    List<TSupervisionComprehensiveEnergy> getByUnitEnergyId(@Param("query") TSupervisionComprehensiveEnergy tSupervisionComprehensiveEnergy);
}
