package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.TSupervisionSuggest;
import com.nantian.cloud.jljc.vo.Query;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 *  监察处理建议/复查情况汇总表 Mapper 接口
 * @since 2021-01-14
 */
@Mapper
public interface TSupervisionSuggestMapper extends BaseMapper<TSupervisionSuggest> {

    //分页查询监察处理建议/复查情况汇总表
    IPage<TSupervisionSuggest> getSuggestPage(@Param("page") Page page,@Param("query") Query query);

    //查询全部监察处理建议/复查情况汇总表
    List<TSupervisionSuggest> getSuggestList(@Param("query") Query query);

    int updateData(TSupervisionSuggest tSupervisionSuggest);
}
