package com.nantian.cloud.jljc.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.dto.TTrainingDto;
import com.nantian.cloud.jljc.entity.TTraining;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 培训活动
 * @date 2020-09-03 13:23:34
 */
@Mapper
public interface TTrainingMapper extends BaseMapper<TTraining> {

    Object getInfoByKeyWord(String name);


    List<TTraining> getTrainingIdByName(String name);

    //带数据权限查询
    IPage<TTrainingDto> getPage(Page page, @Param("t") TTraining tTraining,DataScope dataScope);
}
