package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.ZstbInfo;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface ZstbInfoMapper extends BaseMapper<ZstbInfo> {

    Page<ZstbInfo> getPage(Page page, @Param("query") ZstbInfo zstbInfo, DataScope dataScope);

    List<ZstbInfo> getTotal(@Param("query") ZstbInfo zstbInfo, @Param("deptId") String deptId);

    List<ZstbInfo> getTotalProv(@Param("query") ZstbInfo zstbInfo, @Param("deptId") String deptId);
}
