package com.nantian.cloud.jljc.service;

import com.nantian.cloud.jljc.entity.EpcEnergyAccuracyAnalysisInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 企业能耗准确性分析详细信息表 服务类
 * @since 2020-12-01
 */
public interface EpcEnergyAccuracyAnalysisInfoService extends IService<EpcEnergyAccuracyAnalysisInfo> {

    //通过主表id获取能耗准确性分析详细信息表信息
    List<EpcEnergyAccuracyAnalysisInfo> getAnalysisInfoList(String year, String enterpriseCode, String dataTable);
}
