package com.nantian.cloud.jljc.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.entity.GovTarget;

import java.util.List;

/**
 * <p>
 * 国家能耗指标信息 服务类
 * </p>
 *
 * @author stz
 * @since 2020-08-05
 */
public interface GovTargetService extends IService<GovTarget> {

    IPage<GovTarget> getPageScope(Page page, GovTarget govTarget);

    //根据节能监察单位产品种类表的type名称获取国家能耗指标信息
    List<GovTarget> getByTypeName(String name);
}
