package com.nantian.cloud.jljc.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.TFaFixedAssets;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.vo.TFaProjectVO;
import com.nantian.sc.cloud.common.core.util.R;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.xmlbeans.impl.piccolo.io.FileFormatException;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 固定资产投资项目节能审查企业项目表 服务类
 * </p>
 *
 * @author fyf
 * @since 2022-02-15
 */
public interface TFaFixedAssetsService extends IService<TFaFixedAssets> {

    IPage<TFaFixedAssets> getPage(Page page, TFaFixedAssets tFaFixedAssets, DataScope dataScope);

    IPage<TFaProjectVO> getProjectInfo(Page page, TFaFixedAssets tFaFixedAssets, DataScope dataScope);

    R excelImport(MultipartFile multipartFile) throws FileFormatException;

}
