package com.nantian.cloud.jljc.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.entity.TFaReviewerComment;
import com.nantian.sc.cloud.common.core.util.R;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.xmlbeans.impl.piccolo.io.FileFormatException;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

/**
 * <p>
 * 固定资产投资项目节能审查评审意见汇总 服务类
 * </p>
 *
 * @author fyf
 * @since 2022-03-10
 */
public interface TFaReviewerCommentService extends IService<TFaReviewerComment> {

    IPage<TFaReviewerComment> getPage(Page page, TFaReviewerComment tFaReviewerComment, DataScope dataScope);

    R excelImport(MultipartFile file) throws IOException;

    List<TFaReviewerComment> getExcelData(TFaReviewerComment tFaReviewerComment);
}
