package com.nantian.cloud.jljc.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.entity.TSupervisionOrganization;
import com.nantian.cloud.jljc.vo.RegionOrganizationTreeVo;
import com.nantian.cloud.jljc.vo.TreeVo;

import java.util.List;

public interface TSupervisionOrganizationService extends IService<TSupervisionOrganization> {

    IPage<TSupervisionOrganization> selectall(Page page, TSupervisionOrganization tSupervisionOrganization);

    boolean updateall (TSupervisionOrganization tSupervisionOrganization);

    boolean deleteall (TSupervisionOrganization tSupervisionOrganization);

    boolean insertall (TSupervisionOrganization tSupervisionOrganization);

    List<TSupervisionOrganization> getList(TSupervisionOrganization tSupervisionOrganization);

    //获取监察机构树形结构
    List<TreeVo> getTree(String deptId);

    //获取区域、监察机构树形结构
    List<RegionOrganizationTreeVo> regionOrganizationTree(TSupervisionOrganization tSupervisionOrganization);
}
