package com.nantian.cloud.jljc.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.dto.TTrainingDto;
import com.nantian.cloud.jljc.entity.TTraining;
import com.nantian.sc.cloud.common.core.util.R;
import org.apache.xmlbeans.impl.piccolo.io.FileFormatException;
import org.springframework.web.multipart.MultipartFile;

/**
 * 培训活动
 *
 * @date 2020-09-03 13:23:34
 */
public interface TTrainingService extends IService<TTraining> {

    Object getInfoByKeyWord(String name);


    IPage<TTrainingDto> pageInfo(Page page, TTraining tTraining);
    //导入excel
    R excelImport(MultipartFile file) throws FileFormatException;
}

