package com.nantian.cloud.jljc.service.impl;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.entity.CcDirect;
import com.nantian.cloud.jljc.entity.CcIndirect;
import com.nantian.cloud.jljc.mapper.CcDirectMapper;
import com.nantian.cloud.jljc.mapper.CcIndirectMapper;
import com.nantian.cloud.jljc.service.CcDirectService;
import com.nantian.cloud.jljc.service.CcIndirectService;
import com.nantian.cloud.jljc.vo.CcIndirectVo;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * <p>
 * 上报截止日期管理 服务实现类
 * </p>
 *
 * @author
 * @since 2020-08-05
 */
@Service("ccIndirectService")
public class CcIndirectServiceImpl extends ServiceImpl<CcIndirectMapper, CcIndirect> implements CcIndirectService {
    public IPage<CcIndirectVo> getAll(Page page, String cmpName, Integer year){
        return this.baseMapper.getAll(page,cmpName,year,new DataScope());
    }
}
