package com.nantian.cloud.jljc.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.entity.CheckExpert;
import com.nantian.cloud.jljc.entity.EnergyCheck;
import com.nantian.cloud.jljc.mapper.CheckExpertMapper;
import com.nantian.cloud.jljc.mapper.EnergyCheckMapper;
import com.nantian.cloud.jljc.service.CheckExpertService;
import com.nantian.cloud.jljc.service.EnergyCheckService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 能源信息 服务实现类
 * </p>
 *
 * @author stz
 * @since 2020-08-05
 */
@Service("checkExpertService")
public class CheckExpertServiceImpl extends ServiceImpl<CheckExpertMapper, CheckExpert> implements CheckExpertService {

    public void deleteRelationsById(String id){
        baseMapper.deleteRelationsById(id);
    }

    public List<CheckExpert> getAllListById(String id){
        return baseMapper.getAllListById(id);
    }
}

