package com.nantian.cloud.jljc.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.entity.DischargeEnergyAudit;
import com.nantian.cloud.jljc.mapper.DischargeEnergyAuditMapper;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import com.nantian.cloud.jljc.service.DischargeEnergyAuditService;
import org.springframework.stereotype.Service;

/**
 * 两高项目审核流程表服务接口实现
 *
 * @author gj
 * @since 2022-02-18 16:38:31
 * @description 
 */
@Service
public class DischargeEnergyAuditServiceImpl extends ServiceImpl<DischargeEnergyAuditMapper, DischargeEnergyAudit> implements DischargeEnergyAuditService {

    @Override
    public IPage<DischargeEnergyAudit> getPageData(Page page, DischargeEnergyAudit dischargeEnergyAudit) {
        return baseMapper.getPageData(page, dischargeEnergyAudit, new DataScope());
    }
}