package com.nantian.cloud.jljc.service.impl;

import com.nantian.cloud.jljc.entity.EcAbnormalVolatilityInfo;
import com.nantian.cloud.jljc.mapper.EcAbnormalVolatilityInfoMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.service.EcAbnormalVolatilityInfoService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 企业能耗异常波动详细信息表 服务实现类
 * </p>
 *
 * @author stz
 * @since 2020-08-10
 */
@Service("ecAbnormalVolatilityInfoService")
public class EcAbnormalVolatilityInfoServiceImpl extends ServiceImpl<EcAbnormalVolatilityInfoMapper, EcAbnormalVolatilityInfo> implements EcAbnormalVolatilityInfoService {

    public List<EcAbnormalVolatilityInfo> getByAid(Integer aid){
        return this.baseMapper.getByAid(aid);
    }
}
