package com.nantian.cloud.jljc.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.entity.EnergyCheck;
import com.nantian.cloud.jljc.entity.EnergyInfo;
import com.nantian.cloud.jljc.mapper.EnergyCheckMapper;
import com.nantian.cloud.jljc.mapper.EnergyInfoMapper;
import com.nantian.cloud.jljc.service.EnergyCheckService;
import com.nantian.cloud.jljc.service.EnergyInfoService;
import com.nantian.cloud.jljc.vo.EnergyInfoTreeVo;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.springframework.stereotype.Service;

import java.util.List;

import static com.nantian.cloud.jljc.vo.util.TreeVoUtil.findTree;

/**
 * <p>
 * 能源信息 服务实现类
 * </p>
 *
 * @author stz
 * @since 2020-08-05
 */
@Service("energyCheckService")
public class EnergyCheckServiceImpl extends ServiceImpl<EnergyCheckMapper, EnergyCheck> implements EnergyCheckService {

    @Override
    public IPage<EnergyInfo> getPageScope(Page page, QueryWrapper energyCheck) {
        //return baseMapper.getPageScope(page,energyInfo,new DataScope());
        return baseMapper.getPageScope(page,energyCheck,new DataScope());
    }

}

