package com.nantian.cloud.jljc.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.TFaAccreditingBody;
import com.nantian.cloud.jljc.mapper.TFaAccreditingBodyMapper;
import com.nantian.cloud.jljc.service.TFaAccreditingBodyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 固定资产投资项目节能审查评审机构负责人表 服务实现类
 * </p>
 *
 * @author fyf
 * @since 2022-02-15
 */
@Service
public class TFaAccreditingBodyServiceImpl extends ServiceImpl<TFaAccreditingBodyMapper, TFaAccreditingBody> implements TFaAccreditingBodyService {

    @Override
    public IPage<TFaAccreditingBody> getPage(Page page, TFaAccreditingBody tFaAccreditingBody) {

        return baseMapper.getPage(page, tFaAccreditingBody, new DataScope());
    }

    @Override
    public List<TFaAccreditingBody> getProjectTime(DataScope dataScope) {

        return baseMapper.getProjectTime(new DataScope());
    }
}
