package com.nantian.cloud.jljc.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.TFaProjectMaterial;
import com.nantian.cloud.jljc.entity.TFaUnionPiece;
import com.nantian.cloud.jljc.mapper.TFaUnionPieceMapper;
import com.nantian.cloud.jljc.service.TFaUnionPieceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import com.nantian.sc.cloud.common.security.service.ScUser;
import com.nantian.sc.cloud.common.security.util.SecurityUtils;
import org.apache.commons.io.FilenameUtils;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.UUID;

/**
 * <p>
 * 固定资产投资项目节能审查接件信息表 服务实现类
 * </p>
 *
 * @author fyf
 * @since 2022-02-15
 */
@Service
public class TFaUnionPieceServiceImpl extends ServiceImpl<TFaUnionPieceMapper, TFaUnionPiece> implements TFaUnionPieceService {

    @Override
    public IPage<TFaUnionPiece> getPage(Page page, TFaUnionPiece tFaUnionPiece) {

        return baseMapper.getPage(page, tFaUnionPiece, new DataScope());
    }

}
