package com.nantian.cloud.jljc.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.nantian.cloud.jljc.entity.TSupervisionQuestions;
import com.nantian.cloud.jljc.mapper.TSupervisionQuestionsMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.service.TSupervisionQuestionsService;
import io.swagger.models.auth.In;
import org.springframework.stereotype.Service;

/**
 * 调查（询问）笔录问题及答案 服务实现类
 * @since 2020-10-29
 */
@Service("tSupervisionQuestionsService")
public class TSupervisionQuestionsServiceImpl extends ServiceImpl<TSupervisionQuestionsMapper, TSupervisionQuestions> implements TSupervisionQuestionsService {

    @Override
    public Integer removeByMonitorId(String monitorId){
        return baseMapper.delete(new QueryWrapper<TSupervisionQuestions>().lambda().eq(TSupervisionQuestions::getMonitorId,monitorId));
    }
}
