package com.nantian.cloud.jljc.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class EnergyCheckVo {
    @ApiModelProperty(value = "主键")
    private Long id;

    /**
     * 节能考核名称
     */
    @ApiModelProperty(value = "节能考核名称")
    private String name;

    /**
     * 节能考核内容
     */
    @ApiModelProperty(value = "节能考核内容")
    private String comments;

    /**
     * 企业社会应用代码
     */
    @ApiModelProperty(value = "企业社会应用代码")
    private String epc;

    /**
     * 企业社会应用代码
     */
    @ApiModelProperty(value = "企业社会应用代码")
    private String cmpName;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 审核状态
     */
    @ApiModelProperty(value = "审核状态")
    private String status;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Integer userid;


    /**
     * 注销状态
     */
    @ApiModelProperty(value = "注销状态（1：未删除，4：已删除）")
    private String delFlag;

    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
    private Integer deptId;
}
