package com.nantian.cloud.jljc.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 耗能指标信息对象前端展示
 *
 * @author stz
 * @since 2020-08-21
 */
@Data
@ApiModel(value = "耗能指标信息对象前端展示")
public class EnergyIndexVo {

    /**
     * 耗能指标编码
     */
    @ApiModelProperty(value = "耗能指标编码")
    private Long num;

    /**
     * 指标名称
     */
    @ApiModelProperty(value = "指标名称")
    private String indexName;

    /**
     * 指标单位
     */
    @ApiModelProperty(value = "指标单位")
    private String indexUnit;
}
