package com.nantian.cloud.jljc.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * 表1-1 上年财务信息对象
 * @author stz
 * @since 2020-08-27
 */
@Data
@Builder
@ApiModel(value = "表1-1 上年财务信息对象")
public class FinanceInfoVo {

    /**
     * 编码
     */
    @ApiModelProperty(value = "编码")
    private String num;

    /**
     * 财务信息项目名
     */
    @ApiModelProperty(value = "财务信息项目名")
    private String financeName;

    /**
     * 财务信息上年值
     */
    @ApiModelProperty(value = "财务信息上年值")
    private String financeNum;

    /**
     * 计量单位
     */
    @ApiModelProperty(value = "计量单位")
    private String unit;

    /**
     * 本期值
     */
    @ApiModelProperty(value = "本期值")
    private String current;
}