package com.nantian.cloud.jljc.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 主要产品信息json
 * @author stz
 * @since 2020-09-16
 */
@Data
@ApiModel(value = "主要产品信息json")
public class JsonProductInfoVo {

    /**
     * 产品代码
     */
    @ApiModelProperty(value = "产品代码")
    private String productNum;

    /**
     * 产品名称
     */
    @ApiModelProperty(value = "产品名称")
    private String productName;

    /**
     * 计量单位
     */
    @ApiModelProperty(value = "计量单位")
    private String unit;

    /**
     * 年产能数量
     */
    @ApiModelProperty(value = "年产能数量")
    private Float capacityNum;
}
