package com.nantian.cloud.jljc.vo;

import com.nantian.cloud.jljc.entity.RecordPersonManager;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "备案管理能源管理人员前端返回对象")
public class RecordPersonManagerVo extends RecordPersonManager {

    /**
     * 企业家名称
     */
    @ApiModelProperty(value = "姓名")
    private String name;
    /**
     * 企业名称
     */
    @ApiModelProperty(value = "企业名称")
    private String epcName;

    /**
     * 地区（dict_region表的id）
     */
    @ApiModelProperty(value = "地区（dict_region表的id）")
    private String parea;

    /**
     * 地区2（dict_region表的id）
     */
    @ApiModelProperty(value = "地区2（dict_region表的id）")
    private String area;

    /**
     * 行业（trade_kind表的code）
     */
    @ApiModelProperty(value = "行业（trade_kind表的code）")
    private String ptrade;

    /**
     * 行业2（trade_kind表的code）
     */
    @ApiModelProperty(value = "行业2（trade_kind表的code）")
    private String trade;
}
