package com.nantian.cloud.jljc.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel("区域、监察机构vo类")
public class RegionOrganizationTreeVo extends TreeVo {

    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "上级id")
    private Integer pid;

    @ApiModelProperty(value = "上级名称")
    @TableField(exist = false)
    private String pname;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "操作人id")
    private Integer userid;

    @ApiModelProperty(value = "代码")
    private String code;

    @ApiModelProperty(value = "地区码")
    private String areaCode;

    @ApiModelProperty(value = "地区名称")
    @TableField(exist = false)
    private String areaName;

    @ApiModelProperty(value = "状态：0 正常 1 停用")
    private String state;

    @ApiModelProperty(value = "注销状态：1 未删除，4已删除")
    private String delFlag;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "联系地址")
    private String address;

    @ApiModelProperty(value = "传真")
    private String fax;

    @ApiModelProperty(value = "邮编")
    private String postcode;

    @ApiModelProperty(value = "联系人")
    private String contact;

    @ApiModelProperty(value = "联系电话")
    private String telephone;
}
