package com.nantian.cloud.jljc.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 报表设置产品信息对象前端展示
 * @author stz
 * @since 2020-08-19
 */
@Data
@ApiModel(value = "报表设置产品信息对象前端展示")
public class ReportSettingProductinfoVo {
    /**
     * 主键id
     */
    @ApiModelProperty(value="主键id")
    private Long id;

    /**
     * 企业社会信用代码
     */
    @ApiModelProperty(value = "企业社会信用代码")
    private String enterpriseCode;

    /**
     * 年产能数量
     */
    @ApiModelProperty(value = "年产能数量")
    private Float capacityNum;

    /**
     * 主要产品
     */
    @ApiModelProperty(value = "主要产品")
    private String productNum;

    /**
     * 产品名称
     */
    @ApiModelProperty(value = "产品名称")
    private String productName;

    /**
     * 计量单位
     */
    @ApiModelProperty(value = "计量单位")
    private String unit;

    /**
     * 所属行业
     */
    @ApiModelProperty(value = "所属行业")
    private String tradeName;

    /**
     * 产品能耗当量值单位
     */
    @ApiModelProperty(value = "产品能耗当量值单位")
    private String productUnit;
}
