package com.nantian.cloud.jljc.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class TFaProjectVO {

    /**
     * 项目Id
     */
    private Integer id;
    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 接件
     */
    private Integer unionId;

    /**
     * 评审机构
     */
    private Integer accreditingId;

    /**
     * 资环处
     */
    private Integer investmentId;

    /**
     * 事中监管
      */
    private Integer inProcessId;

    /**
     * 事后验收
     */
    private Integer eventAfterId;

    /**
     * 项目进程
     */
    private Integer StatusData;

    /**
     * 事中监管状态
     */
    private Integer processStatus;

    /**
     * 事后验收状态
     */
    private Integer eventStatus;

    /**
     * 事中监管时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date inproTime;

    /**
     * 事后验收报告
     */
    private String eventName;

    /**
     * 项目暂停时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd", timezone = "GMT+8")
    private Date suspendTime;

    /**
     * 项目重启时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd", timezone = "GMT+8")
    private Date restartTime;

    /**
     * 权限
     */
    private Integer canDo;
    private Integer deptId;
}
