package com.nantian.cloud.jljc.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class TFaTimeVo {

    private Integer projectId;
    private String projectName;
    private String principal;
    private Integer limit;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd", timezone = "GMT+8")
    private Date suspendTime;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd", timezone = "GMT+8")
    private Date actionTime;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd", timezone = "GMT+8")
    private Date endTime;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd", timezone = "GMT+8")
    private Date restartTime;

    /**
     * 还有多少天到期
     */
    private Long days;

    /**
     * 能否暂停/重启
     * 1.能暂停, 2.能重启, 3.disabled
     */
    private Integer mark;
}
