package com.nantian.cloud.jljc.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.nantian.cloud.jljc.entity.TSuperviseTask;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("监察计划-监察机构Vo类")
public class TSuperviseTaskOrganizationVo extends TSuperviseTask {

    @ApiModelProperty(value = "名称")
    private String organizationName;

    @ApiModelProperty(value = "代码")
    private String organizationCode;

    @ApiModelProperty(value = "地区码")
    private String organizationAreaCode;

    @ApiModelProperty(value = "地区名称")
    private String organizationAreaName;

    @ApiModelProperty(value = "状态：0 正常 1 停用")
    private String organizationState;

    @ApiModelProperty(value = "备注")
    private String organizationRemarks;

    @ApiModelProperty(value = "联系地址")
    private String organizationAddress;

    @ApiModelProperty(value = "传真")
    private String organizationFax;

    @ApiModelProperty(value = "邮编")
    private String organizationPostcode;

    @ApiModelProperty(value = "联系人")
    private String organizationContact;

    @ApiModelProperty(value = "联系电话")
    private String organizationTelephone;

    @ApiModelProperty(value = "监察任务上报状态")
    private Integer reportType;

}
