package com.nantian.cloud.jljc.vo.dischargeEnergy;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

@Data
public class DischargeEnergyTotalVo {
    /**
     * 综合能源消费量
     */
    private String energyConsumption;
    /**
     * 项目总投资
     */
    private String itemInvest;
    /**
     * 设计能耗(当量值)
     */
    private String energyDesignDl;
    /**
     * 设计能耗(等价值)
     */
    private String energyDesignDj;
    /**
     * 用煤量
     */
    private String energyCoal;
    /**
     * 设计用电量
     */
    private String energyCurrent;
    /**
     * 税收
     */
    private String revenue;
    /**
     * 增加值
     */
    private String productionNew;
    /**
     * 去年综合能源消费量当量值
     */
    private String energyConsumptionLastDl;
    /**
     * 去年综合能源消费量等价值
     */
    private String energyConsumptionLastDj;
    /**
     * 前年综合能源消费量当量值
     */
    private String energyConsumptionLastTwoDl;
    /**
     * 前年综合能源消费量等价值
     */
    private String energyConsumptionLastTwoDj;
    /**
     * 2022年综合能源消费量当量值
     */
    private String energyConsumptionDl;
    /**
     * 2022年综合能源消费量等价值
     */
    private String energyConsumptionDj;
    /**
     * “十四五” 新增能耗当量值
     */
    private String energyNewPlanDl;
    /**
     * “十四五” 新增能耗等价值
     */
    private String energyNewPlanDj;
    /**
     * 节能效果（吨标准煤）
     */
    private String energySavingEffect;
    /**
     * 电力消耗量（万千瓦时)
     */
    private String energyElectricity;
    /**
     *项目总数
     */
    private Integer num;
    /**
     * 上报至州市的项目总数
     */
    private Integer cityNum;
    /**
     * 上报至省级的项目总数
     */
    private Integer provNum;
    /**
     *地区
     */
    private String regionName;
}
