package com.nantian.cloud.jljc.vo.dualControl;

import com.nantian.cloud.jljc.vo.TreeVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "双控指标树形结构")
public class DualcontrolIndexTreeVo extends TreeVo {

    @ApiModelProperty(value = "年度")
    private String year;

    @ApiModelProperty(value = "项目编码")
    private String itemCode;

    @ApiModelProperty(value = "项目名称")
    private String itemName;

    @ApiModelProperty(value = "能耗总量基本目标(万tce)")
    private Double energyTotalBasic;

    @ApiModelProperty(value = "能耗总量激励目标(万tce)")
    private Double energyTotalInspire;

    @ApiModelProperty(value = "单位GDP能耗基本目标(tce/万元)")
    private Double energyUnitGdpBasic;

    @ApiModelProperty(value = "单位GDP能耗激励目标(tce/万元)")
    private Double energyUnitGdpInspire;

    @ApiModelProperty(value = "单位GDP能耗降低率基本目标(%)")
    private Double energyUnitGdpReducerateBasic;

    @ApiModelProperty(value = "单位GDP能耗降低率激励目标(%)")
    private Double energyUnitGdpReducerateInspire;
}
