package com.nantian.cloud.jly.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jly.entity.CheckAbnormalReport;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 不符合项报告记录 Mapper 接口
 * </p>
 *
 * @author scott
 * @since 2020-08-10
 */
@Mapper
public interface CheckAbnormalReportMapper extends BaseMapper<CheckAbnormalReport> {

    IPage<CheckAbnormalReport> getPageScope(Page page, @Param("query") CheckAbnormalReport checkAbnormalReport, DataScope dataScope);

    List<CheckAbnormalReport> getByEpc(@Param("query") CheckAbnormalReport checkAbnormalReport);
}
