package com.nantian.cloud.jly.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jly.entity.CheckGroupEpc;
import com.nantian.cloud.jly.entity.CheckGroupPersons;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 审查组成员 Mapper 接口
 * </p>
 *
 * @author scott
 * @since 2020-08-10
 */
@Mapper
public interface CheckGroupEpcMapper extends BaseMapper<CheckGroupEpc> {


    List<Map> queryEpc(@Param("checkPlanId")String checkPlanId, @Param("epc")String epc, @Param("groupId")String groupId);

    void deleteEpc(@Param("checkPlanId")String checkPlanId, @Param("groupId")String groupId);
}
