package com.nantian.cloud.jly.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jly.entity.CheckPlan;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 审查计划表 Mapper 接口
 * </p>
 *
 * @author scott
 * @since 2020-08-10
 */
@Mapper
public interface CheckPlanMapper extends BaseMapper<CheckPlan> {

    IPage<CheckPlan> getByPage(@Param("page") Page page, @Param("plan") CheckPlan checkPlan, @Param("deptId") String deptId);

//    Page<CheckPlan> getByPage(@Param("page") Page page, @Param("plan") CheckPlan checkPlan, @Param("deptId") String deptId);


//    List<CheckPlan> getByPage(@Param("plan") CheckPlan checkPlan, @Param("deptId") String deptId);

    IPage<CheckPlan> getPageByEpc(@Param("page") Page page,@Param("epc") String epc);
}
