package com.nantian.cloud.jly.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jly.entity.CompanyCalculater;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 能源计量人员配置信息 Mapper 接口
 * </p>
 *
 * @author scott
 * @since 2020-08-07
 */
@Mapper
public interface CompanyCalculaterMapper extends BaseMapper<CompanyCalculater> {

    List<Map> getCaculaterStatistics();

    IPage getPageData(Page page, @Param("code")String code, @Param("flag")int flag, @Param("industryCode")String industryCode, @Param("cmpName")String cmpName,@Param("calculaterName")String calculaterName);

    IPage<CompanyCalculater> pageCmp(@Param("page") Page page,@Param("query") CompanyCalculater companyCalculater);

    IPage<CompanyCalculater> selectByCmp(@Param("page") Page page,@Param("query") CompanyCalculater companyCalculater);
}
