package com.nantian.cloud.jly.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jly.entity.ConfigureDevice;
import com.nantian.cloud.jly.entity.ConfigureGridding;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 主要用能设备 Mapper 接口
 * </p>
 *
 * @author scott
 * @since 2020-08-10
 */
@Mapper
public interface ConfigureDeviceMapper extends BaseMapper<ConfigureDevice> {


    IPage<ConfigureDevice> getDevPage(Page page, @Param("query") ConfigureDevice configureDevice);
}
