package com.nantian.cloud.jly.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jly.entity.ConfigureGauge;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jly.vo.StatisticsVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 能源计量器具基本信息 Mapper 接口
 * </p>
 *
 * @author scott
 * @since 2020-08-07
 */
@Mapper
public interface ConfigureGaugeMapper extends BaseMapper<ConfigureGauge> {

    List<StatisticsVo> getGaugesStatistics();

    IPage getPageData(@Param("page") Page page, @Param("code") String code, @Param("flag") int flag, @Param("industryCode") String industryCode,
                      @Param("cmpName") String cmpName, @Param("meterLevel") String meterLevel, @Param("cmp") String cmp, @Param("location") String location,
                      @Param("type") String type);

    IPage<ConfigureGauge> pageCmp(@Param("page") Page page, @Param("query") ConfigureGauge configureGauge);

    Integer getNotCertified(@Param("epc") String enterpriseCode);

    List<ConfigureGauge> getList(@Param("epc") String epc);

    void updateConfigureGaugeState();
}
