package com.nantian.cloud.jly.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jly.entity.CheckBasis;
import com.nantian.cloud.jly.entity.EnterpriseHalt;
import com.nantian.cloud.jly.vo.EnterpriseHaltVo;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigInteger;
import java.util.List;

/**
 * 审批意见表
 */
@Mapper
public interface EnterpriseHaltMapper extends BaseMapper<EnterpriseHalt> {

    List<EnterpriseHaltVo> getEnterpriseHalt(@Param("epc") String epc);

    List<EnterpriseHalt> getHaltCompany(@Param("statDate")String statDate, @Param("epcStr")String epcStr);

    List<EnterpriseHaltVo> getHaltByState(@Param("state")String state,DataScope dataScope);

    String getHaltstateByEpc(@Param("epc") String epc);

}
