package com.nantian.cloud.jly.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jly.entity.Memorandum;
import com.nantian.cloud.jly.vo.MemorandumVo;
import com.nantian.cloud.jly.vo.util.Pages;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 请假流程
 *
 * @author
 * @date 2018-09-27 15:20:44
 */
@Mapper
public interface MemorandumMapper extends BaseMapper<Memorandum> {
    List<MemorandumVo> selectPageAll(@Param("page") Pages page, @Param("param") MemorandumVo memorandumVo, @Param("code") String code, @Param("dataScope") DataScope dataScope);
    Memorandum selectByEpc(@Param("memorandum") Memorandum memorandum);
    List<Integer> count( @Param("param") MemorandumVo memorandumVo, @Param("code") String code, @Param("dataScope") DataScope dataScope);
}
