package com.nantian.cloud.jly.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jly.entity.CheckDev;
import com.nantian.cloud.jly.entity.InspectionData;
import com.nantian.sc.cloud.common.core.util.R;
import com.nantian.sc.cloud.common.security.service.ScUser;
import org.springframework.web.multipart.MultipartFile;

import java.math.BigInteger;


/**
 * 请假流程
 *
 * @author
 * @date 2018-09-27 15:20:44
 */
public interface CheckDevService extends IService<CheckDev> {

    IPage<CheckDev> getPageScope(Page page, CheckDev checkDev);

    //excel导入
    R excelImport(MultipartFile file, BigInteger checkPlanId, String epc, InspectionData inspectionData);

    void updateInspectionData(ScUser u, CheckDev checkDev, InspectionData inspectionData);
}

