package com.nantian.cloud.jly.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jly.entity.CheckGaugesReport;
import com.nantian.cloud.jly.entity.CheckLevelDegreeReport;
import com.nantian.cloud.jly.entity.InspectionData;
import com.nantian.sc.cloud.common.core.util.R;
import org.springframework.web.multipart.MultipartFile;

import java.math.BigInteger;

/**
 * 能源计量器具准确度等级统计汇总表
 *
  * @date 2020-09-14 12:01:57
 */
public interface CheckLevelDegreeReportService extends IService<CheckLevelDegreeReport> {

    IPage getPageScope(Page page, CheckLevelDegreeReport checkLevelDegreeReport);


    R excelImport(MultipartFile file, BigInteger checkPlanId, String epc, InspectionData inspectionData);
}

