package com.nantian.cloud.jly.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jly.entity.EnterpriseInfo;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


/**
 * 请假流程
 *
 * @author
 * @date 2018-09-27 15:20:44
 */

public interface EnterpriseInfoService extends IService<EnterpriseInfo> {

    List<Map> getAllCompany();

    List<Map> queryByEpc(@Param("epc") String epc);


    IPage<EnterpriseInfo> selectPageAll(Page page, EnterpriseInfo enterpriseInfo);

    IPage<EnterpriseInfo> getOnlinePage(Page page, EnterpriseInfo enterpriseInfo);
}

