package com.nantian.cloud.jly.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jly.entity.CheckGaugesTypeReportAmend;
import com.nantian.cloud.jly.mapper.CheckGaugesTypeReportAmendMapper;
import com.nantian.cloud.jly.service.CheckGaugesTypeReportAmendService;
import com.nantian.cloud.jly.vo.CheckGaugesTypeReportAmendSubVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigInteger;


@Service("checkGaugesTypeReportAmendService")
public class CheckGaugesTypeReportAmendServiceImpl extends ServiceImpl<CheckGaugesTypeReportAmendMapper, CheckGaugesTypeReportAmend> implements CheckGaugesTypeReportAmendService {
    @Autowired
    CheckGaugesTypeReportAmendMapper mapper;
    @Override
    public void deleteByCheckPlanIdAndEpc(BigInteger checkPlanId, String epc) {
        baseMapper.deleteByCheckPlanIdAndEpc(checkPlanId,epc);
    }

    @Override
    public int insertByEpcAndNum(CheckGaugesTypeReportAmendSubVo subVo) {
        return  mapper.insertByEpcAndNum(subVo);
    }

    @Override
    public int updateAllocation(CheckGaugesTypeReportAmendSubVo subVo) {
        return mapper.updateAllocation(subVo);
    }
}
