package com.nantian.cloud.jly.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jly.entity.CheckGroupEpc;
import com.nantian.cloud.jly.entity.CheckGroupPersons;
import com.nantian.cloud.jly.mapper.CheckGroupEpcMapper;
import com.nantian.cloud.jly.mapper.CheckGroupPersonsMapper;
import com.nantian.cloud.jly.service.CheckGroupEpcService;
import com.nantian.cloud.jly.service.CheckGroupPersonsService;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 *
 * @date 2018-09-27
 */
@Service("CheckGroupEpcService")
public class CheckGroupEpcServiceImpl extends ServiceImpl<CheckGroupEpcMapper, CheckGroupEpc> implements CheckGroupEpcService {


    @Override
    public List<Map> queryEpc(String checkPlanId, String epc, String groupId) {
        return baseMapper.queryEpc(checkPlanId,epc,groupId);
    }

    @Override
    public void deleteList(String checkPlanId, String groupId) {
        baseMapper.deleteEpc(checkPlanId,groupId);
    }
}

