package com.nantian.cloud.jly.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jly.entity.CheckGroup;
import com.nantian.cloud.jly.entity.CheckGroupPersons;
import com.nantian.cloud.jly.mapper.CheckGroupMapper;
import com.nantian.cloud.jly.mapper.CheckGroupPersonsMapper;
import com.nantian.cloud.jly.service.CheckGroupPersonsService;
import com.nantian.cloud.jly.service.CheckGroupService;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *
 * @date 2018-09-27
 */
@Service("CheckGroupPersonsService")
public class CheckGroupPersonsServiceImpl extends ServiceImpl<CheckGroupPersonsMapper, CheckGroupPersons> implements CheckGroupPersonsService {

    @Override
    public void deleteByName(String name) {
        baseMapper.deleteByName(name);
    }

    @Override
    public List<CheckGroupPersons> getcheckGroupPersonsPage(Page page) {
        return baseMapper.getPage(page,new DataScope());
    }
}

