package com.nantian.cloud.jly.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jly.entity.TOperatingLog;
import com.nantian.cloud.jly.mapper.TOperatingLogMapper;
import com.nantian.cloud.jly.service.TOperatingLogService;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.springframework.stereotype.Service;

/**
 * 审查报告操作日志 服务实现类
 * @since 2021-01-28
 */
@Service("tOperatingLogService")
public class TOperatingLogServiceImpl extends ServiceImpl<TOperatingLogMapper, TOperatingLog> implements TOperatingLogService {

    @Override
    public IPage<TOperatingLog> getPageScope(Page page, TOperatingLog tOperatingLog) {
        return baseMapper.getPageScope(page, tOperatingLog, new DataScope());
    }
}

