package com.nantian.cloud.jly.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 审查企业列表关联企业名称
 * </p>
 *
 * @author scott
 * @since 2020-08-10
 */
@Data
public class CheckEnterpriceVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 审查计划ID
     */
    private Long checkPlanId;

    /**
     * 企业社会信用代码
     */
    private String epc;

    /**
     * 审查状态 1，资料待审查；2，条款待审查；3，全部审查完成；4，资料已退回
     */
    private String checkStatus;

    /**
     * 审查结果    1，审查合格；2，审查不合格
     */
    private String checkResult;

    /**
     * 评审说明
     */
    private String checkComment;

    /**
     * 备注
     */
    private String comment;

    /**
     * 企业名称
     */
    private String cmpName;

    @Override
    public String toString() {
        return "CheckEnterprice{" +
        "id=" + id +
        ", checkPlanId=" + checkPlanId +
        ", epc=" + epc +
        ", checkStatus=" + checkStatus +
        ", checkResult=" + checkResult +
        ", checkComment=" + checkComment +
        ", comment=" + comment +
        "}";
    }
}
