package com.nantian.cloud.jly.vo;

import com.nantian.cloud.jly.entity.ConfigureGaugeVerify;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "能源计量器具校准记录Vo类")
public class ConfigureGaugeVerifyVo extends ConfigureGaugeVerify {

    @ApiModelProperty(value = "企业名称")
    private String cmpName;

    @ApiModelProperty(value = "行政区编码")
    private String regionCode;

    @ApiModelProperty(value = "区级编码")
    private String countyId;

    @ApiModelProperty(value = "区级名称")
    private String countyName;

    @ApiModelProperty(value = "市级编码")
    private String cityId;

    @ApiModelProperty(value = "市级名称")
    private String cityName;

    @ApiModelProperty(value = "省级编码")
    private String provinceId;

    @ApiModelProperty(value = "省级名称")
    private String provinceName;
}
