package com.nantian.cloud.query.entity.jljc;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 多维度查询数据集查询参数及输出参数(multi_dimension_data_set_param)实体类
 *
 * @author kancy
 * @since 2022-02-17 10:46:31
 * @description 由 Mybatisplus Code Generator 创建
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("multi_dimension_data_set_param")
public class MultiDimensionDataSetParam extends Model<MultiDimensionDataSetParam> implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId
	private Long id;
    /**
     * 数据集编码
     */
    private String setCode;
    /**
     * 参数名
     */
    private String paramName;
    /**
     * 参数描述
     */
    private String paramDesc;
    /**
     * 参数类型，字典=
     */
    private String paramType;
    /**
     * 输出参数
     */
    private String outputSample;
    /**
     * 参数示例项
     */
    private String sampleItem;
    /**
     * 0--非必填 1--必填 DIC_NAME=REQUIRED_FLAG
     */
    private Integer requiredFlag;
    /**
     * js校验字段值规则，满足校验返回 true
     */
    private String validationRules;
    /**
     * 排序
     */
    private Integer orderNum;
    /**
     * 0--已禁用 1--已启用  DIC_NAME=ENABLE_FLAG
     */
    private Integer enableFlag;
    /**
     * 0--未删除 1--已删除 DIC_NAME=DELETE_FLAG
     */
    private Integer deleteFlag;
    /**
     * 创建人
     */
    private String createBy;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新人
     */
    private String updateBy;
    /**
     * 更新时间
     */
    @TableField(update = "now()")
	private Date updateTime;
    /**
     * version
     */
    private Integer version;
    /**
     * 删除状态
     */
    private String delFlag;

}
