package com.nantian.cloud.query.entity.jljc;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 多维度数据查询表关系(multi_dimension_table_relationship)实体类
 *
 * @author kancy
 * @since 2022-02-17 10:46:27
 * @description 由 Mybatisplus Code Generator 创建
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("multi_dimension_table_relationship")
public class MultiDimensionTableRelationship extends Model<MultiDimensionTableRelationship> implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId
	private Integer id;
    /**
     * 数据表名
     */
    private String tableName;
    /**
     * 关联表名
     */
    private String linkTableName;
    /**
     * 关联字段
     */
    private String linkFlied;
    /**
     * 数据表归属
     */
    private String tableBelong;
    /**
     * 字段归属
     */
    private String filedBelong;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    @TableField(update = "now()")
	private Date updateTime;
    /**
     * 删除状态
     */
    private String delFlag;

}
