package com.nantian.cloud.query.mapper.jljc;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.query.entity.jljc.MultiDimensionDict;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 多维度查询字典库(multi_dimension_dict)数据Mapper
 *
 * @author kancy
 * @since 2022-02-17 10:46:10
 * @description 由 Mybatisplus Code Generator 创建
*/
@Mapper
@Component
public interface MultiDimensionDictMapper extends BaseMapper<MultiDimensionDict> {

    IPage<MultiDimensionDict> getPageScope(@Param("page") Page page, @Param("query") MultiDimensionDict multiDimensionDict);

    List<MultiDimensionDict> getList(@Param("query") MultiDimensionDict multiDimensionDict);
}
