package com.nantian.sc.cloud.common.security.service;

import lombok.Data;
import lombok.Getter;

/**
 * token用户信息
 *
 * @author dengjian
 * @Date 2024/11/25 9:26
 */
@Data
public class OAuthTokenUser {

    /**
     * 用户ID
     */
    private Integer id;
    /**
     * 部门ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 租户ID
     */
    private String enterpriseCode;

    private String userRealName;

    private String userDept;

    private String userName;

    public OAuthTokenUser(Integer id, Integer deptId, Integer tenantId, String enterpriseCode, String userRealName, String userDept, String userName) {
        this.id = id;
        this.deptId = deptId;
        this.tenantId = tenantId;
        this.enterpriseCode = enterpriseCode;
        this.userRealName = userRealName;
        this.userDept = userDept;
        this.userName = userName;
    }
}
