

package com.nantian.sc.cloud.mp;

import com.nantian.sc.cloud.common.security.annotation.EnableScFeignClients;
import com.nantian.sc.cloud.common.security.annotation.EnableScResourceServer;
import com.nantian.sc.cloud.common.swagger.annotation.EnableScSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;

/**
 *
 * @date 2019/03/25
 * 微信公众号管理模块
 */
@EnableScSwagger2
@SpringCloudApplication
@EnableScFeignClients
@EnableScResourceServer
public class NtMpManagerApplication {

	public static void main(String[] args) {
		SpringApplication.run(NtMpManagerApplication.class, args);
	}
}
