package com.nantian.cloud.dbcapp;


import com.nantian.sc.cloud.common.security.annotation.EnableScFeignClients;
import com.nantian.sc.cloud.common.security.annotation.EnableScResourceServer;
import com.nantian.sc.cloud.common.swagger.annotation.EnableScSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 *
 * @date 2020年02月15日
 * demo
 */

@EnableScSwagger2
@SpringCloudApplication
@EnableScFeignClients(basePackages={"com.nantian.cloud.dbcapp","com.nantian.sc.cloud","com.nantian.cloud.mvapp"})
@EnableScResourceServer
@EnableScheduling
public class NtDbcApplication {
	public static void main(String[] args) {
		SpringApplication.run(NtDbcApplication.class, args);
	}
}
