package com.nantian.cloud.dbcapp.bean;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class UnitInfo {
   private String enterpriseCode ; //企业社会行用代码
   private String indexName ; // 指标名称
   private String energyKindsCode; // 计算指标所用能源品种代码
   private String productCode ; // 产品产量编码
   private String base ; // 核算单元编码
   private Float correctionValues ; // 总修正系数
   private String baseState ; // 能耗数据为工序单元或设备（1是不用折标，2是需要折标）
   private String calculate ; // 计算方式（1加，2减）
}
