package com.nantian.cloud.dbcapp.carbon.domain.carbonAccount;


import com.alibaba.excel.metadata.BaseRowModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.data.annotation.Id;


import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;


@Data
@EqualsAndHashCode(callSuper = true)
@Table(name = "ENT_INSTRUMENT")
public class EntInstrument extends BaseRowModel {

    @ApiModelProperty(value = "ID")
    @Id
    private String id;

    @ApiModelProperty(value = "地区")
    @Column(name = "REGION")
    private String region;

    @ApiModelProperty(value = "排放单位类别")
    @Column(name = "EMISSION_UNIT_CATEGORY")
    private String emissioon_unit_category;

    @ApiModelProperty(value = "排放单位名称")
    @Column(name = "EMISSION_UNIT_NAME")
    private Integer emissioon_unit_name;

    @ApiModelProperty(value = "计量器具层级")
    @Column(name = "MEASUREMENT_INSTRUMENT_HIERARCHY")
    private Date measurement_instrument_hierarchy;

    @ApiModelProperty(value = "计量器具类别")
    @Column(name = "MEASUREMENT_INSTRUMENT_CATEGORY")
    private Date measurement_instrument_category;

    @ApiModelProperty(value = "应配数量")
    @Column(name = "REQUIRED_QUANTITY")
    private Date required_quantity;

    @ApiModelProperty(value = "实配数量")
    @Column(name = "ACTUAL_QUANTITY")
    private Date actual_quantity;

    @ApiModelProperty(value = "受检情况")
    @Column(name = "INSPECTION_STATUS")
    private Date inspection_status;

    @ApiModelProperty(value = "配备率")
    @Column(name = "EQUIPMENT")
    private Date equipment;

    @ApiModelProperty(value = "合格使用率")
    @Column(name = "QUALIFIED_RATE")
    private Date qualified_rate;
}
