package com.nantian.cloud.dbcapp.carbon.domain.carbonAccount;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;


@Data
@EqualsAndHashCode(callSuper = false)
@TableName("dic_instrument_category")
@ApiModel(value = "InstrumentCategory对象", description = "计量器具类别")
public class InstrumentCategory implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID")
    private Long id;

    @ApiModelProperty(value = "计量器具类别编号")
    @TableField("CATEGORY_CODE")
    private Long categoryCode;

    @ApiModelProperty(value = "计量器具类别名称")
    @TableField("CATEGORY_NAME")
    private String categoryName;

    public static final String ID = "ID";

    public static final String CATEGORY_CODE = "CATEGORY_CODE";

    public static final String CATEGORY_NAME = "CATEGORY_NAME";
}

