package com.nantian.cloud.dbcapp.carbon.domain.carbonDetection;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author BurgessLee
 * @date 2022/07/22
 * @apiNote 企业统计信息
 */
@Data
@ApiModel(value = "EnterpriseDataVo", description = "企业统计信息")
public class EnterpriseDataVo {

    @ApiModelProperty(value = "企业名称", name = "entName")
    private String entName;

    @ApiModelProperty(value = "机组数量", name = "macheData")
    private String macheData;

    @ApiModelProperty(value = "本月碳排放量", name = "monthAmount")
    private String monthAmount = "0";

    @ApiModelProperty(value = "年度累计排放量", name = "yearAmount")
    private String yearAmount = "0";

    @ApiModelProperty(value = "年度配额盈亏", name = "yearSum")
    private String yearSum = "0";

    @ApiModelProperty(value = "年度配额总量", name = "yearLoss")
    private String yearLoss = "0";

    @ApiModelProperty(value = "年份", name = "year")
    private String year;

    @ApiModelProperty(value = "月份", name = "month")
    private String month;

}
