package com.nantian.cloud.dbcapp.controller;


import com.nantian.cloud.dbcapp.dto.ResultBo;
import com.nantian.cloud.dbcapp.service.DictDeviceTypeService;
import com.nantian.sc.cloud.common.core.util.R;
import com.nantian.sc.cloud.common.log.annotation.SysLog;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author suixin
 * @since 2022-05-09
 */
@RestController
@RequestMapping("/dictDeviceType")
public class DictDeviceTypeController {

    @Autowired
    private DictDeviceTypeService dictDeviceTypeService;

    @GetMapping("/getList")
    @SysLog("字典表-查询设备类型列表")
    @ApiOperation(value = "查询设备类型列表", notes = "查询设备类型列表")
    public R getDeviceType(){
        List<ResultBo> deviceTypeList = dictDeviceTypeService.getDeviceTypeList();
        return R.ok(deviceTypeList,"查询成功");
    }
}

