package com.nantian.cloud.dbcapp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@TableName("configure_process")
@NoArgsConstructor
public class ConfigureProcess {

    //id
    @TableId(value = "id", type = IdType.AUTO)
    private  Integer id;

    @TableField("enterpriseCode")
    private String enterpriseCode;

    @TableField("processCode")
    private String processCode;

    @TableField("processName")
    private String processName;


    @TableField("state")
    private String state;


    @TableField("remark")
    private String remark;


    @TableField("uploadedCountry")
    private String uploadedCountry;

    @TableField("digest")
    private String digest;


    @TableField("quoted")
    private String quoted;


    @TableField("deleteFlag")
    private String deleteFlag;


    @TableField("unitId")
    private String unitId;

}
