package com.nantian.cloud.dbcapp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("enterprise_info")
public class EnterpriseInfo {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @TableField("enterpriseCode")
    private String enterpriseCode;

    @TableField("isorg")
    private String isorg;

    @TableField("orgType")
    private String orgType;

    @TableField("orgCode")
    private String orgCode;

    @TableField("password")
    private String password;

    @TableField("cmpName")
    private String cmpName;

    @TableField("address")
    private String address;

    @TableField("zipCode")
    private String zipCode;

    @TableField("corporationName")
    private String corporationName;

    @TableField("regionCode")
    private String regionCode;

    @TableField("license")
    private String license;

    @TableField("organization")
    private String organization;

    @TableField("registerAddress")
    private String registerAddress;

    @TableField("registerDate")
    private String registerDate;

    @TableField("registerPrincipal")
    private String registerPrincipal;

    @TableField("typeCode")
    private String typeCode;

    @TableField("industryCode")
    private String industryCode;


    @TableField("fieldCode")
    private String fieldCode;


    @TableField("energyConsumeLevel")
    private String energyConsumeLevel;


    @TableField("center")
    private String center;

    @TableField("jgzh")
    private String jgzh;


    @TableField("latitude")
    private String latitude;


    @TableField("longitude")
    private String longitude;


    @TableField("phone")
    private String phone;

    @TableField("fax")
    private String fax;


    @TableField("email")
    private String email;

    @TableField("url")
    private String url;

    @TableField("productionLine")
    private String productionLine;

    @TableField("leadingProduct")
    private String leadingProduct;

    @TableField("groupName")
    private String groupName;

    @TableField("groupAddress")
    private String groupAddress;

    @TableField("applyDate")
    private String applyDate;

    @TableField("approvalDate")
    private String approvalDate;

    @TableField("lastLoginDate")
    private String lastLoginDate;

    @TableField("state")
    private String state;

    @TableField("uploadTime")
    private String uploadTime;

    @TableField("remark")
    private String remark;

    @TableField("checkUploadTime")
    private String checkUploadTime;


    @TableField("canUploadCountry")
    private String canUploadCountry;

    @TableField("uploadedCountry")
    private String uploadedCountry;

    @TableField("tid")
    private String tid;

    @TableField("updateSay")
    private String updateSay;

    @TableField("deleteSay")
    private String deleteSay;

    @TableField("jnjcTrade")
    private String jnjcTrade;

    @TableField("reportNum")
    private String reportNum;

    @TableField("cancelState")
    private String cancelState;

    @TableField("quotaShield")
    private String quotaShield;

}
