package com.nantian.cloud.dbcapp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("t_standard")
public class TStandard {

    @TableId(value = "id", type = IdType.AUTO)
    private  Integer id;

    @TableField("code")
    private String code;

    @TableField("name")
    private String name;

    @TableField("quota_name")
    private String quota_name;

    @TableField("limit_value")
    private Float limit_value;

    @TableField("advanced_value")
    private Float advanced_value;

    @TableField("admit_value")
    private Float admit_value;

    @TableField("max_value")
    private String max_value;

    @TableField("min_value")
    private String min_value;


    @TableField("type")
    private String type;
}
