package com.nantian.cloud.dbcapp.mapper.record;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.dbcapp.entity.AccessEnterpriseInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 延期接入企业-基本信息 Mapper 接口
 */
@Mapper
public interface AccessEnterpriseInfoMapper extends BaseMapper<AccessEnterpriseInfo> {

    IPage<AccessEnterpriseInfo> getPage(Page page,@Param("info") AccessEnterpriseInfo info);

    List<Map<String, Object>> groupData(@Param("info") AccessEnterpriseInfo info);
}
