package com.nantian.cloud.dbcapp.mapper.record;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.dbcapp.dto.ResultBo;
import com.nantian.cloud.dbcapp.entity.CompanyMaterielProduct;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 企业物料产品信息 Mapper 接口
 * </p>
 *
 * @author suixin
 * @since 2022-05-12
 */
@Mapper
public interface CompanyMaterielProductMapper extends BaseMapper<CompanyMaterielProduct> {

    List<ResultBo> getProductResultBoByEpc(@Param("enterpriseCode") String enterpriseCode);
}
