package com.nantian.cloud.dbcapp.mapper.record;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.dbcapp.entity.ConfigureDataCollectGenerate;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 采集配置项生成表 Mapper 接口
 * </p>
 *
 * @author suixin
 * @since 2022-05-04
 */
@Mapper
public interface ConfigureDataCollectGenerateMapper extends BaseMapper<ConfigureDataCollectGenerate> {

    List<Map<String, Object>> getGenerateList(@Param("epc") String epc);

    List<String> getDigestList(@Param("epc") String epc);

    List<Long> getIdList(@Param("epc") String epc);
}
