package com.nantian.cloud.dbcapp.mapper.record;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.dbcapp.dto.ResultBo;
import com.nantian.cloud.dbcapp.entity.DictEnergyType;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 能源品种编码、计量单位及精度 Mapper 接口
 * </p>
 *
 * @author suixin
 * @since 2022-05-09
 */
@Mapper
public interface DictEnergyTypeMapper extends BaseMapper<DictEnergyType> {

    List<ResultBo> getEnergyByClassCodeList(@Param("classCode") String code);
}
