package com.nantian.cloud.dbcapp.mapper.record;



import com.nantian.cloud.dbcapp.vo.CoalVo;
import com.nantian.cloud.dbcapp.vo.MonitorOnlineTotalVO;
import com.nantian.cloud.dbcapp.vo.MonitorOnlineVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 *
 *
 * @author zfw
 * @date 2018-09-27 15:20:44
 */
@Mapper
public interface MonitorOnlineMapper {

    List<String> getAllCompanyList(@Param("area") String area, @Param("industry") String industry, @Param("startTime") String startTime, @Param("endTime") String endTime);


    List<MonitorOnlineVO> foundZhnhByList(@Param("companyList") List<String> area,@Param("startTime") String startTime, @Param("endTime") String endTime);

    MonitorOnlineTotalVO foundTotalZhnh(@Param("companyList") List<String> area, @Param("startTime") String startTime, @Param("endTime") String endTime);

    CoalVo getCodeAndName(@Param("industry") String industry);





}
