package com.nantian.cloud.dbcapp.mapper.record;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.dbcapp.entity.SettlementDataConfig;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 企业数据结算周期配置 Mapper 接口
 * </p>
 *
 * @author qqm
 * @since 2024-01-25
 */
public interface SettlementDataConfigMapper extends BaseMapper<SettlementDataConfig> {

    IPage<SettlementDataConfig> queryAllByLimit(@Param("page") Page page,@Param("query") SettlementDataConfig settlementDataConfig);


    List<SettlementDataConfig> getSettleMonthByEnterpriseCode(@Param("enterpriseCode") String enterpriseCode,@Param("time") String time);


}
