package com.nantian.cloud.dbcapp.pojo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.metadata.BaseRowModel;
import io.swagger.annotations.ApiModel;
import lombok.Data;

@Data
@ApiModel(value = "企业传输数据情况")
@ExcelIgnoreUnannotated
public class EnterpriseEnergyDetailPOJO extends BaseRowModel {

    @ColumnWidth(8)
    @ExcelProperty(value = "地区编码",index = 0)
    private String id;

    @ColumnWidth(5)
    @ExcelProperty(value = "地区名称",index = 1)
    private String tname;

    @ColumnWidth(45)
    @ExcelProperty(value = "企业名称", index = 2)
    private String cmpName;

    @ColumnWidth(20)
    @ExcelProperty(value = "企业信用代码", index = 3)
    private String enterpriseCode;

    @ColumnWidth(20)
    @ExcelProperty(value = "停产信息", index = 4)
    private String haltRemark;

    @ColumnWidth(45)
    @ExcelProperty(value = "采集点名称", index = 5)
    private String collectItemName;

    @ColumnWidth(20)
    @ExcelProperty(value = "采集点编码", index = 6)
    private String dataCode;

    @ExcelProperty(value = "采集点频率", index = 7)
    private String statType;

    @ExcelProperty(value = "应送数据（条）", index = 8)
    private Integer theoryNum;

    @ExcelProperty(value = "实收数据（条）", index = 9)
    private Integer actualNum;

    @ExcelProperty(value = "缺数据（条）", index = 10)
    private Integer lackNum;

    @ExcelProperty(value = "备注", index = 11)
    private String remark;

    @ColumnWidth(10)
    @ExcelProperty(value = "产品类行业",index = 12)
    private String productTrade;
}
