package com.nantian.cloud.dbcapp.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 不合格报告整改记录表
 * </p>
 *
 * @author qqm
 * @since 2024-03-08
 */
@Data
@EqualsAndHashCode
public class ReportAbarbeitungPOJO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 企业信用代码
     */
    private String enterpriseCode;

    /**
     * 企业名称
     */
    private String enterpriseName;

    /**
     * 核查情况
     */
    private String checkInfo;

    /**
     * 出具时间
     */
    private String abarbeitungTime;

    /**
     * 整改进度
     */
    private String abarbeitungSchedule;

    /**
     * 是否整改完成
     */
    private String isEnd;

    /**
     * 出具不合格通知书名称
     */
    private String reDocument;

    /**
     * 出具文件编号
     */
    private String reDocumentCode;

    /**
     * 备注
     */
    private String remark;

    private String createdBy;

    private Date createdTime;

    private String updatedBy;

    private Date updatedTime;


}
