package com.nantian.cloud.dbcapp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.dbcapp.dto.ResultBo;
import com.nantian.cloud.dbcapp.entity.DictDeviceType;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author suixin
 * @since 2022-05-09
 */
public interface DictDeviceTypeService extends IService<DictDeviceType> {

    /**
     * @Description: 查询重点用能设备类型编码及名称列表
     * @Author: suixin
     * @Date: 2022/5/9
     * @Return: java.util.List<com.nantian.cloud.dbcapp.dto.ResultBo>
     * @Param: []
     */
    List<ResultBo> getDeviceTypeList();
}
