package com.nantian.cloud.dbcapp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.dbcapp.dto.ResponseBo;
import com.nantian.cloud.dbcapp.entity.DictEnergyType;

import java.util.List;

/**
 * <p>
 * 能源品种编码、计量单位及精度 服务类
 * </p>
 *
 * @author suixin
 * @since 2022-05-09
 */
public interface DictEnergyTypeService extends IService<DictEnergyType> {

/**
 * @Description:      * @Description: 查询能源分类、种类编码及名称的树数据结构
 * @Author: suixin
 * @Date: 2022/5/12
 * @Return: java.util.List<com.nantian.cloud.dbcapp.dto.ResponseBo>
 * @Param: [enterpriseCode]
 */
    List<ResponseBo> getEnergyTypeList(String enterpriseCode);
}
