package com.nantian.cloud.dbcapp.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.dbcapp.entity.AccessEnterpriseInfo;
import com.nantian.cloud.dbcapp.mapper.record.AccessEnterpriseInfoMapper;
import com.nantian.cloud.dbcapp.service.AccessEnterpriseInfoService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 延期接入企业-基本信息 服务实现类
 */
@Service("accessEnterpriseInfoService")
public class AccessEnterpriseInfoServiceImpl extends ServiceImpl<AccessEnterpriseInfoMapper, AccessEnterpriseInfo> implements AccessEnterpriseInfoService {

    @Override
    public IPage<AccessEnterpriseInfo> getPage(Page page, AccessEnterpriseInfo info) {
        return baseMapper.getPage(page,info);
    }

    @Override
    public List<Map<String, Object>> groupData(AccessEnterpriseInfo info) {
        return baseMapper.groupData(info);
    }
}
