package com.nantian.cloud.dbcapp.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.dbcapp.entity.DictCollectDataType;
import com.nantian.cloud.dbcapp.mapper.record.DictCollectDataTypeMapper;
import com.nantian.cloud.dbcapp.service.DictCollectDataTypeService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 采集数据类型编码表 服务实现类
 * </p>
 *
 * @author suixin
 * @since 2022-05-09
 */
@Service
public class DictCollectDataTypeServiceImpl extends ServiceImpl<DictCollectDataTypeMapper, DictCollectDataType> implements DictCollectDataTypeService {

    @Override
    public List<DictCollectDataType> getList() {
        return this.baseMapper.getList();
    }
}
