package com.nantian.cloud.dbcapp.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.dbcapp.dto.ResultBo;
import com.nantian.cloud.dbcapp.entity.DictDeviceType;
import com.nantian.cloud.dbcapp.mapper.record.DictDeviceTypeMapper;
import com.nantian.cloud.dbcapp.service.DictDeviceTypeService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author suixin
 * @since 2022-05-09
 */
@Service
public class DictDeviceTypeServiceImpl extends ServiceImpl<DictDeviceTypeMapper, DictDeviceType> implements DictDeviceTypeService {

    @Override
    public List<ResultBo> getDeviceTypeList() {
        return this.baseMapper.getDeviceTypeList();
    }
}
