package com.nantian.cloud.dbcapp.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
//@AllArgsConstructor
//@NoArgsConstructor
public class AreaAndIndustryVo  {

    private String name ;

    private Float energyValue;

    private Integer enterpriseNum;

    @ApiModelProperty(value = "数据传输异常")
    private  Integer  value1;

    @ApiModelProperty(value = "数据波动异常")
    private  Integer  value2;

    @ApiModelProperty(value = "电力数据异常")
    private  Integer  value3;

    @ApiModelProperty(value = "综合能耗异常")
    private  Integer  value4;

    @ApiModelProperty(value = "单位产品能耗异常")
    private  Integer  value5;

    public AreaAndIndustryVo() {
    }

    public AreaAndIndustryVo(String name, Float energyValue, Integer enterpriseNum) {
        this.name = name;
        this.energyValue = energyValue;
        this.enterpriseNum = enterpriseNum;
    }

    public AreaAndIndustryVo(String name, Float energyValue, Integer enterpriseNum, Integer value1, Integer value2, Integer value3, Integer value4, Integer value5) {
        this.name = name;
        this.energyValue = energyValue;
        this.enterpriseNum = enterpriseNum;
        this.value1 = value1;
        this.value2 = value2;
        this.value3 = value3;
        this.value4 = value4;
        this.value5 = value5;
    }
}
