package com.nantian.cloud.dbcapp.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ConfigureDeviceVo{
    private Long id;
    private String enterpriseCode; //社会行用统一编码
    private String deviceName; //设备名称
    private String deviceNo; //设备编号
    private String model; //规格型号
    private String location; //安装地点
    private String dept; //所属部门
    private String deviceType; //设备类型
    private String usingDate; //启用日期
    private String currentState; //运行情况
    private String manufacturer; //生产厂家
    private String energyCode; //能源种类
    private String energyValue; //能源消耗量或功率
    private String processUnitCode; //工序编码+工序单元编码
    private String state; //状态
    private String remark; //备注
    private String digest; //摘要
    private String quoted; //引用
}
