package com.nantian.cloud.dbcapp.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author suixin
 * @date 2023/4/6
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DataHomeDataVo {
    /**
     * 地区
     */
    private String region;

    /**
     * 企业名称
     */
    private String enterpriseName;

    /**
     * 社会信用代码
     */
    private String enterpriseCode;

    /**
     * 异常类型：1-表示异常；0-表示无异常
     */
    private String exception;

    /**
     * 行业1-两高行业
     */
    private String trade1;

    /**
     * 行业2-产品分类行业
     */
    private String trade2;

    /**
     * 综合能耗值
     */
    private Double value;

    /**
     * 南方电网电力数据
     */
    private Double dwElectricityValue;

    /**
     * 在线采集电力数据
     */
    private Double zxElectricityValue;

    /**
     * 南网电力数据与在线采集电力数据的差值（绝对值）
     */
    private Double margin;

    /**
     * 综合能耗1 如2020年
     */
    private Double value1;

    /**
     * 综合能耗2 如2021年
     */
    private Double value2;

    /**
     * 综合能耗3 如2023年
     */
    private Double value3;

}
