package com.nantian.cloud.dbcapp.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 企业停产列表
 */
@Data
public class EnterpriseHaltVo implements Serializable{

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "企业社会信用代码")
    private String epc;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "临时时间")
    private String tmpTime;

    @ApiModelProperty(value = "恢复时间")
    private String regainTime;

    @ApiModelProperty(value = "政府端备注")
    private String govRemark;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "状态") //1.正常生产；2.停产申请中；3.已停产；4.已结束；5已注销
    private String state; //状态为5 企业已注销，历史数据保留，不再列入异常

    @ApiModelProperty(value = "申请人")
    private String operator;

    @ApiModelProperty(value = "审批人")
    private String govOperator;

    @ApiModelProperty(value = "用户id")
    private Integer userid;

    @ApiModelProperty(value = "更新时间")
    private String upStringTime;

    @ApiModelProperty(value = "注销状态（1：未删除，4：已删除）")
    private String delFlag;

    @ApiModelProperty(value = "部门id")
    private Integer deptId;
}
