package com.nantian.cloud.dbcapp.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author suixin
 * @date 2022/8/24
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ExceptionDataVo {
    /**
     * 社会信用代码
     */
    private String enterpriseCode;
    /**
     * 指标名称
     */
    private String collectItemName;
    /**
     * 指标名称
     */
    private String dataCode;
    /*
     * 采集频率
     */
    private String statType;
    /**
     * 统计周期
     */
    private String statDate;
    /**
     * 数据值
     */
    private String dataValue;

    /**
     * 数据值单位
     */
    private String dataUnit;
    /**
     * 异常名称
     */
    private String exceptionName;
    /**
     * 异常判断规则-第一维度
     */
    private String dimensionOne;
    /**
     * 异常判断规则-第二维度
     */
    private String dimensionTwo;
    /**
     * 异常判断规则-第三维度
     */
    private String dimensionThree;
}
