package com.nantian.cloud.dbcapp.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ExceptionInfoVo {
    private String id;//编号
    private String enterpriseCode; // 社会信用代码
    private String dataCode;// 采集点编码
    private String collectItemName;//采集点名称
    private String statType; //采集点频率
    private String convertRation;//折标系数
    private String dataValue;//数值
    private String statDate;//采集日期
    private String exceptionType;//异常类型
    private String exceptionTypeTmp;//异常类型
    private String enterpriseName;//企业名称
    private String enterpriseUnit ;// 数值单位
    private String collectUnit ;//折标系数单位
    private String remark;//说明
    private String exceptionGov;//处理状态
    private String updateTimeBegin ;
    private String updateTineEnd;
    private String energyLevel;   //企业能耗级别
    private String powerDatumValue; //电力数据
    private String limitDatumValue; //国家限额值
    private String operateDate; //操作时间
    private String handlerType; //数据受理状态 （0企业已解决，1企业提交修改申请，2政府审核不通过）
    private String handlerReason; //政府受理数据说明
    private String editDataValue; //修改的数据
    private String editConvertRation; //修改的折标系数
}
