package com.nantian.cloud.dbcapp.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 手机端审查企业信息
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MobileCompVO {

    @ApiModelProperty(value = "企业名称")
    private  String  name;

    @ApiModelProperty(value = "统一信用代码")
    private  String  enterpriseCode;

    @ApiModelProperty(value = "审查状态 1，资料待审查；2，条款待审查；3，全部审查完成；4，资料已退回")
    private  Integer  state;




}
