package com.nantian.cloud.dbcapp.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 手机端审查任务列表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MobileTaskVO {

    @ApiModelProperty(value = "审查id")
    private  String  id;

    @ApiModelProperty(value = "审查名称")
    private  String  name;

    @ApiModelProperty(value = "审查编号")
    private  String  No;

    @ApiModelProperty(value = "审查年度")
    private  String  year;

    @ApiModelProperty(value = "审查类型")
    private  String  type;

    @ApiModelProperty(value = " 开始时间")
    private  String  starTime;

    @ApiModelProperty(value = "结束时间")
    private  String  endTime;

    @ApiModelProperty(value = "审查企业")
    private List<MobileCompVO> cmpList;


}
