package com.nantian.cloud.dbcapp.vo;


import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 接收返回的CompanyVO
 */
@Data
public class ProcedureVO {

    //采集配置项id
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JSONField(serializeUsing = ToStringSerializer.class)
    private Long id;

    //社会信用代码
    private String enterpriseCode;

    @ApiModelProperty(value = "工序名称")
    private  String  name;

    @ApiModelProperty(value = "分类")
    private  String  type;

    @ApiModelProperty(value = "采集配置项名称")
    private  String  configureName;

    @ApiModelProperty(value = "采集配置项编码")
    private  String  configureCode;

    @ApiModelProperty(value = "采集频率")
    private  String  rate;

    @ApiModelProperty(value = "折标系数")
    private  String  radio;

    @ApiModelProperty(value = "数据值")
    private  String  value;

    @ApiModelProperty(value = "计算公式")
    private  String  formula;

    @ApiModelProperty(value = "核算单元iD")
    private  String  unitId;

    private String collectUnit;

    private String unit;

    private String isEnable;

    private String startTime;

    private String energyUseType;

    private String collectType ;

    private String isForce ;

    //阈值区间
    private String thresholdInterval;

}
