package com.nantian.cloud.dbcapp.vo;

import lombok.Data;

@Data
public class QualityCalculateLogVo {

    /**
     * id
     */
    private Integer id;

    /**
     * 操作类型(1自动结算，2补算，3接口结算)
     */
    private String OperateType;

    /**
     * 操作对象(企业编码)
     */
    private String OperateObject;

    /**
     * 操作开始时间
     */
    private String OperateStartDate;

    /**
     * 操作结束时间
     */
    private String OperateEndDate;

    /**
     * 数据结算时间
     */
    private String statDate;

    /**
     * 计算公式
     */
    private String formul;

    /**
     * 计算数据
     */
    private String dataValue;

    /**
     * 结算结果(0进行中，1成功，2失败, 3待进行, -1未结算)
     */
    private String result;

    /**
     * 结算类型(1综合能耗，2单位产品能耗，3工序用能种类能耗，4采集点能耗，5波动异常)
     */
    private String type;

    /**
     * 结算失败原因
     */
    private String reason;

    /**
     * 企业名称
     */
    private String cmpName;

    /**
     * 数据上传时间
     */
    private String uploadTime;
}
