package com.nantian.cloud.dbcapp.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 接收返回的CompanyVO
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class QuotaVO {
    /**
     企业数量
     */
    @ApiModelProperty(value = "排序值")
    private  Integer  sort;

    @ApiModelProperty(value = "当前指标排名")
    private  Integer  index;

    @ApiModelProperty(value = "信用代码")
    private  String  code;

    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

    @ApiModelProperty(value = "指标值")
    private  Float  value;
}
