package com.nantian.cloud.ggjg.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@Data
@TableName("t_double_control")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "双控")
public class DoubleControl extends Model<DoubleControl> {

    @TableId(value = "id")
    @ApiModelProperty(value="主键id")
    private Long id;
    private String areaCode;
    private Long objectives;
    private Date updateTime;


}
