package com.nantian.cloud.ggjg.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@TableName("ggjg_user")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "公共机构用户")
public class GgjgUser extends Model<GgjgUser> {

    @TableId(value = "id")
    @ApiModelProperty(value="主键id")
    private Long id;
    private String areaCode;
    private String areaName;
    private String username;
    private String password;
}
