package com.nantian.cloud.jljc.controller;

import com.nantian.cloud.jljc.entity.TLawBasis;
import com.nantian.cloud.jljc.service.TLawBasisService;
import com.nantian.sc.cloud.common.core.util.R;
import com.nantian.sc.cloud.common.log.annotation.SysLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/tLawBasis")
public class TLawBasisController {

    @Autowired
    private TLawBasisService tLawBasisService;

    /**
     * 获取违法用能事项及法条依据
     */
    @GetMapping("/getLawList")
    @SysLog("获取违法用能事项及法条依据")
    public R getLawList(){
        List<TLawBasis> lawList = tLawBasisService.getLawList();
        return R.ok(lawList);
    }
}
