package com.nantian.cloud.jljc.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

/**
 * 先进技术资料文件上传对象
 * @author stz
 * @since 2020-09-14
 */
@Data
@ApiModel(value = "先进技术资料文件上传对象")
public class AdvancedFileDto {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 所属行业编码（trade_type表的行业）
     */
    @ApiModelProperty(value = "所属行业编码 trade_type表的行业")
    private String industryCode;

    /**
     * 所属行业名称（trade_type表的行业）
     */
    @ApiModelProperty(value = "所属行业名称 trade_type表的行业")
    private String industryName;

    /**
     * 文件名
     */
    @ApiModelProperty(value = "文件名")
    private String fileName;

    /**
     * 文件流
     */
    @ApiModelProperty(value = "文件流")
    private MultipartFile file;


}
