package com.nantian.cloud.jljc.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

/**
 * 节能减排法规标准文件上传对象
 * @author stz
 * @since 2020-09-14
 */
@Data
@ApiModel(value = "节能减排法规标准文件上传对象")
public class GovCriterionFileDto {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 类别
     */
    @ApiModelProperty(value = "标准类别（国家标准、行业标准、地方标准）")
    private String type;

    /**
     * 标准名称
     */
    @ApiModelProperty(value = "标准名称")
    private String fileName;


    @ApiModelProperty(value = "标准名称")
    private String criterionName;

    @ApiModelProperty(value = "标准号")
    private String standard;

    @ApiModelProperty(value = "发布时间")
    private String releaseTime;

    @ApiModelProperty(value = "实施时间")
    private String implementationTime;

    /**
     * 文件流
     */
    @ApiModelProperty(value = "文件流")
    private MultipartFile file;


}
