package com.nantian.cloud.jljc.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * （慧能）行业、产品、工序
 * @since 2020-11-11
 */
@Data
@TableName("h_kind")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "（慧能）行业、产品、工序表")
public class HKind extends Model<HKind>{

    private String code;
    private String name;
    private String pcode;
    private String type;
    private Integer num;
    //是否使用（1-使用）
    private String isUse;

    @TableField(exist = false)
    private List<HTableHead> hTableHeadList;
    //private List<String> hTableHeadList;
    @TableField(exist = false)
    private List<HTableKind> hTableKindList;
}
