package com.nantian.cloud.jljc.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * （慧能）表头
 * @since 2020-11-23
 */
@Data
@TableName("h_table_head")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "（慧能）表头")
public class HTableHead extends Model<HTableHead>{

    private static final long serialVersionUID = 1L;

    private String code;

    private String productName;

    private String production;

    private String delFlag;

    private String unit;

    private String calculationResults;

    private String refModulus;

    @ApiModelProperty(value = "特征码")
    private String codes;

}
