package com.nantian.cloud.jljc.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 调查询问笔录法条依据表
 * </p>
 *
 * @author fyf
 * @since 2022-07-20
 */
@Data
@TableName("t_law_enforcement")
@EqualsAndHashCode(callSuper = true)
public class TLawBasis extends Model<TLawBasis> {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    private Integer id;

    /**
     * 违法用能事项
     */
    private String breakLawItems;

    /**
     * 法条依据
     */
    private String pursuantLaw;


}
