package com.nantian.cloud.jljc.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@Data
@TableName("t_supervise_task_apply")
@EqualsAndHashCode(callSuper = true)
public class TSuperviseTaskApply extends Model<TSuperviseTaskApply> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Integer id;

    /**
     * 监察编号
     */
    private String monitorId;

    /**
     * 申请用户Id
     */
    private Integer modifyUserId;

    /**
     * 申请用户
     */
    private String modifyUserName;

    /**
     * 申请时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date modifyTime;

    /**
     * 申请原因
     */
    private String modifyComments;

    /**
     * 审核结果
     */
    private String auditResult;

    /**
     * 审核用户Id
     */
    private Integer auditUserId;

    /**
     * 审核用户名称
     */
    private String auditUserName;

    /**
     * 审核时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date auditTime;

    /**
     * 审核结论
     */
    private String auditComments;

    /**
     * 删除标志
     */
    private String delFlag;

    /**
     * 部门Id
     */
    private Integer deptId;

    @TableField(exist = false)
    private String modifyTimes;

    @TableField(exist = false)
    private String auditTimes;

}
