package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.AdvancedMaterial;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jljc.entity.DataAudition;
import com.nantian.cloud.jljc.vo.EnergyStructureVo;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 先进技术资料 Mapper 接口
 * </p>
 *
 * @author scott
 * @since 2020-08-04
 */
@Mapper
public interface AdvancedMaterialMapper extends BaseMapper<AdvancedMaterial> {

    //IPage<AdvancedMaterial> getPageScope(Page page,@Param("query") AdvancedMaterial advancedMaterial, DataScope dataScope);
    IPage<AdvancedMaterial> getPageScope(Page page,@Param("query") AdvancedMaterial advancedMaterial);
}
