package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.CcDirect;
import com.nantian.cloud.jljc.entity.CcIndirect;
import com.nantian.cloud.jljc.vo.CcIndirectVo;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 法规和标准
 *
 * @author
 * @date 2020-08-03
 */
@Mapper
public interface CcIndirectMapper extends BaseMapper<CcIndirect> {

    IPage<CcIndirectVo> getAll(Page page, @Param("cmpName") String cmpName, @Param("cyear") Integer year, DataScope dataScope);
}
