package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.CompanyType;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 企业类别信息 Mapper 接口
 * </p>
 *
 * @author scott
 * @since 2020-08-04
 */
@Mapper
public interface CompanyTypeMapper extends BaseMapper<CompanyType> {

    //IPage<CompanyType> getPageScope(Page page, @Param("query") CompanyType companyType, DataScope dataScope);
    IPage<CompanyType> getPageScope(Page page, @Param("query") CompanyType companyType);
}
