package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.ConservationDevInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 节能机电设备信息 Mapper 接口
 * </p>
 *
 * @author scott
 * @since 2020-08-04
 */
@Mapper
public interface ConservationDevInfoMapper extends BaseMapper<ConservationDevInfo> {

    //IPage<ConservationDevInfo> getPageScope(Page page, @Param("query") ConservationDevInfo conservationDevInfo, DataScope dataScope);
    IPage<ConservationDevInfo> getPageScope(Page page, @Param("query") ConservationDevInfo conservationDevInfo);
}
