package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.DischargeEnergyConstruction;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jljc.vo.dischargeEnergy.DischargeEnergyConstructionVo;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 两高项目在建表(t_discharge_energy_construction)数据Mapper
 *
 * @author gj
 * @since 2022-02-17 09:31:49
 * @description 
*/
@Mapper
public interface DischargeEnergyConstructionMapper extends BaseMapper<DischargeEnergyConstruction> {

    IPage<DischargeEnergyConstruction> getPageData(Page page, @Param("query") DischargeEnergyConstruction dischargeEnergyConstruction, DataScope dataScope);

    List<DischargeEnergyConstructionVo> getCityData(@Param("query")DischargeEnergyConstruction dischargeEnergyConstruction, DataScope dataScope);

    List<DischargeEnergyConstructionVo> getConstructionProductIndex(Page page,@Param("query") DischargeEnergyConstruction dischargeEnergyConstruction, DataScope dataScope);
}
