package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.DischargeEnergyKeyFields;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 两高行业及其重点领域 Mapper 接口
 * </p>
 *
 * @author fyf
 * @since 2022-03-23
 */
@Mapper
public interface DischargeEnergyKeyFieldsMapper extends BaseMapper<DischargeEnergyKeyFields> {

    List<DischargeEnergyKeyFields> searchList(@Param("query") DischargeEnergyKeyFields dischargeEnergyKeyFields);

    IPage<DischargeEnergyKeyFields> getPage(Page page, DischargeEnergyKeyFields dischargeEnergyKeyFields, DataScope dataScope);
}
