package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.EnergyCheck;
import com.nantian.cloud.jljc.entity.EnergyInfo;
import com.nantian.cloud.jljc.vo.EnergyInfoTreeVo;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 能源信息 Mapper 接口
 * </p>
 *
 * @author stz
 * @since 2020-08-05
 */
@Mapper
public interface EnergyCheckMapper extends BaseMapper<EnergyCheck> {

    IPage<EnergyInfo> getPageScope(Page page, QueryWrapper energyCheck, DataScope dataScope);
}
