package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.EnergyLevel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 能耗级别 Mapper 接口
 * </p>
 *
 * @author stz
 * @since 2020-08-05
 */
@Mapper
public interface EnergyLevelMapper extends BaseMapper<EnergyLevel> {

    //IPage<EnergyLevel> getPageScope(Page page, @Param("query") EnergyLevel energyLevel, DataScope dataScope);
    IPage<EnergyLevel> getPageScope(Page page, @Param("query") EnergyLevel energyLevel);
}
