package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.GovTarget;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 国家能耗指标信息 Mapper 接口
 * </p>
 *
 * @author stz
 * @since 2020-08-05
 */
@Mapper
public interface GovTargetMapper extends BaseMapper<GovTarget> {

    //IPage<GovTarget> getPageScope(Page page, @Param("query") GovTarget govTarget, DataScope dataScope);
    IPage<GovTarget> getPageScope(Page page, @Param("query") GovTarget govTarget);

    //根据节能监察单位产品种类表的type名称获取国家能耗指标信息
    List<GovTarget> getByTypeName(@Param("name") String name);
}
