package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.HKind;
import com.nantian.cloud.jljc.vo.TreeVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * （慧能）行业、工序表
 * @since 2020-11-11
 */
@Mapper
public interface HKindMapper extends BaseMapper<HKind> {

    List<TreeVo> getTree(HKind hKind);

    //通过code获取信息
    TreeVo treeByLeaf(String code);
}
