package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.MeasurementUnit;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 计量单位信息 Mapper 接口
 * </p>
 *
 * @author stz
 * @since 2020-08-05
 */
@Mapper
public interface MeasurementUnitMapper extends BaseMapper<MeasurementUnit> {

    //IPage<MeasurementUnit> getPageScope(Page page, @Param("query") MeasurementUnit measurementUnit, DataScope dataScope);
    IPage<MeasurementUnit> getPageScope(Page page, @Param("query") MeasurementUnit measurementUnit);
}
