package com.nantian.cloud.jljc.mapper;

import com.nantian.cloud.jljc.entity.TDualcontrolIndex;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jljc.vo.dualControl.DualcontrolIndexTreeVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 能耗双控-指标 Mapper 接口
 */
@Mapper
public interface TDualcontrolIndexMapper extends BaseMapper<TDualcontrolIndex> {

    List<DualcontrolIndexTreeVo> getIndexTree(@Param("indexYear") String indexYear,@Param("deptId") String deptId,@Param("regionId") String regionId);

    List<TDualcontrolIndex> getIndexByVersion(@Param("deptId") String deptId,@Param("versionId") long versionId,@Param("year") String year, @Param("num") String num);

    //根据年度和项目查询指标值
    TDualcontrolIndex getIndex(@Param("year") String year,@Param("itemCode") String itemCode);
}
