package com.nantian.cloud.jljc.mapper;

import com.nantian.cloud.jljc.entity.TDualcontrolIndexresolve;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jljc.vo.dualControl.DualcontrolIndexDataSourceVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 能耗双控-指标分解计算 Mapper 接口
 */
@Mapper
public interface TDualcontrolIndexresolveMapper extends BaseMapper<TDualcontrolIndexresolve> {

    //上一年度统计值与预测值
    List<DualcontrolIndexDataSourceVo> getIndexDataSource(@Param("deptId") Integer deptId,@Param("planYear") String planYear,@Param("preYear") String preYear,@Param("num") Integer num,@Param("versionId") Long versionId,@Param("type") String type,@Param("tmpVersionId") Long tmpVersionId);

    //查询各年度单位GDP能耗降低率
    List<TDualcontrolIndexresolve> getIndexReducerate(@Param("deptId") Integer deptId,@Param("planYear") String planYear,@Param("versionId") Long versionId,@Param("type") String type,@Param("tmpVersionId") Long tmpVersionId);

    List<DualcontrolIndexDataSourceVo> initializeDataSource(@Param("deptId") Integer deptId,@Param("planYear") String planYear,@Param("preYear") String preYear,@Param("versionId") Long versionId,@Param("tmpVersionId") Long tmpVersionId);

    List<TDualcontrolIndexresolve> initializeIndexReducerate(@Param("deptId") Integer deptId,@Param("planYear") String planYear,@Param("versionId") Long versionId,@Param("tmpVersionId") Long tmpVersionId);

    List<TDualcontrolIndexresolve> getIndexResult(@Param("deptId") Integer deptId, @Param("planYear") String planYear,@Param("versionId") Long versionId,@Param("type") String type,@Param("tmpVersionId") Long tmpVersionId);
}
