package com.nantian.cloud.jljc.mapper;

import com.nantian.cloud.jljc.entity.TDualcontrolParam;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import java.util.List;

/**
 * 能耗双控-参数设置 Mapper 接口
 */
@Mapper
public interface TDualcontrolParamMapper extends BaseMapper<TDualcontrolParam> {

    TDualcontrolParam getGearByComprehensiveWeight(@Param("year") String planYear,@Param("versionId") long versionId,@Param("weight") Double weight,@Param("deptId") Integer deptId);

    //获取上个五年计划数据
    List<TDualcontrolParam> getPreData(@Param("deptId") String deptId, @Param("year") String planYear, @Param("versionId")Long versionId);

    //初始化上个五年计划数据
    List<TDualcontrolParam> getInitializePreData(@Param("deptId") String deptId,@Param("year") Integer year);
}
