package com.nantian.cloud.jljc.mapper;

import com.nantian.cloud.jljc.entity.TFaCheckAccept;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jljc.vo.TFaTotalDataVo;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 固定资产投资项目节能审查事后验收报告表 Mapper 接口
 * </p>
 *
 * @author fyf
 * @since 2022-02-15
 */
@Mapper
public interface TFaCheckAcceptMapper extends BaseMapper<TFaCheckAccept> {

    List<TFaTotalDataVo> getTotal(@Param("deptId") String deptId);

}
