package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.TFaReviewerComment;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 固定资产投资项目节能审查评审意见汇总 Mapper 接口
 * </p>
 *
 * @author fyf
 * @since 2022-03-10
 */
@Mapper
public interface TFaReviewerCommentMapper extends BaseMapper<TFaReviewerComment> {

    IPage<TFaReviewerComment> getPage(Page page, @Param("query") TFaReviewerComment tFaReviewerComment, DataScope dataScope);


    List<TFaReviewerComment> getExcelData(@Param("query") TFaReviewerComment tFaReviewerComment);
}
