package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.TPolicy;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 政策文件 Mapper 接口
 *
 * @since 2021-02-03
 */
@Mapper
public interface TPolicyMapper extends BaseMapper<TPolicy> {

    IPage<TPolicy> getPageGov(@Param("page") Page page,@Param("query") TPolicy tPolicy);

    IPage<TPolicy> getPageCmp(@Param("page") Page page,@Param("query") TPolicy tPolicy);
}
