package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.TProjectEnergySaving;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 固定资产投资项目节能审查 Mapper 接口
 * @author stz
 * @since 2020-09-21
 */
@Mapper
public interface TProjectEnergySavingMapper extends BaseMapper<TProjectEnergySaving> {

    IPage<TProjectEnergySaving> getPageScope(Page page, @Param("query") TProjectEnergySaving tProjectEnergySaving, DataScope dataScope);

    IPage<TProjectEnergySaving> getPageScope2(Page page, @Param("query") TProjectEnergySaving tProjectEnergySaving, DataScope dataScope);

    IPage<TProjectEnergySaving> queryListByCmp(Page page, @Param("query") TProjectEnergySaving tProjectEnergySaving);
}
