package com.nantian.cloud.jljc.mapper;

import com.nantian.cloud.jljc.entity.TReportProduct;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 报表1-1主要产品表 Mapper 接口
 * @since 2020-09-16
 * @author stz
 */
@Mapper
public interface TReportProductMapper extends BaseMapper<TReportProduct> {

    //根据报表信息id获取主要产品列表
    List<TReportProduct> getProductsByReportId(@Param("reportId") Long reportId);

    //查询所有主要产品的名称
    List<String> getProductName(@Param("reportId") Long reportId);

    //查询近三年主要产品的数据
    List<TReportProduct> getProductsByReportIds(@Param("id1") Long id1,@Param("id2") Long id2,@Param("id3") Long id3);
}
