package com.nantian.cloud.jljc.mapper;

import com.nantian.cloud.jljc.entity.TReportRateprogress;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 报表1-4进度节能量目标完成情况表 Mapper 接口
 * @since 2020-09-16
 * @author stz
 */
@Mapper
public interface TReportRateprogressMapper extends BaseMapper<TReportRateprogress> {

    public boolean saveOrUpdates(TReportRateprogress tReportRateprogress);

    Double getEnergyProgress(@Param("enterpriseCode") String enterpriseCode, @Param("year") String year, @Param("pYear") int pYear);

    Double getUnitEnergyProgress(@Param("enterpriseCode") String enterpriseCode,@Param("year") String year,@Param("pYear") int pYear);
}
