package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.TStandardsRegulations;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TStandardsRegulationsMapper extends BaseMapper<TStandardsRegulations> {

    /**
     * 查询文件
     * @param page
     * @param tStandardsRegulations
     * @return
     */
    IPage<TStandardsRegulations> selectall (@Param("param1")Page page,@Param("param2") TStandardsRegulations tStandardsRegulations);

    /**
     * 删除标准文件
     * @param tStandardsRegulations
     * @return
     */
    int deleteall(TStandardsRegulations tStandardsRegulations);

    /**
     * 修改标准法律法规文件
     * @param tStandardsRegulations
     * @return
     */
    int updatefile(TStandardsRegulations tStandardsRegulations);

    /**
     * 修改处文件外的所有信息
     * @param tStandardsRegulations
     * @return
     */
    int updateall(TStandardsRegulations tStandardsRegulations);

    /**
     * 插入信息
     * @param tStandardsRegulations
     * @return
     */
    int insertall(TStandardsRegulations tStandardsRegulations);

    TStandardsRegulations selectFile(TStandardsRegulations tStandardsRegulations);

    boolean updateByRegulations(TStandardsRegulations tStandardsRegulations);
}
