package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jljc.entity.TSupervisionUnitEnergyType;
import com.nantian.cloud.jljc.vo.Query;
import com.nantian.cloud.jljc.vo.TreeVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 节能监察单位产品种类 Mapper 接口
 * @since 2020-11-02
 */
@Mapper
public interface TSupervisionUnitEnergyTypeMapper extends BaseMapper<TSupervisionUnitEnergyType> {

    //获取节能监察单位产品种类树形结构
    List<TreeVo> getTree(@Param("query") Query query);
}
