package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.TradeInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jljc.vo.TreeVo;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 行业信息 Mapper 接口
 * </p>
 *
 * @author stz
 * @since 2020-08-05
 */
@Mapper
public interface TradeInfoMapper extends BaseMapper<TradeInfo> {


    //IPage<TradeInfo> getPageScope(Page page, @Param("query") TradeInfo tradeInfo, DataScope dataScope);
    IPage<TradeInfo> getPageScope(Page page, @Param("query") TradeInfo tradeInfo);

    //行业信息（节能）大类下拉框
    List<TradeInfo> tradeInfoSelect();

    //行业信息（节能）树形
    List<TreeVo> tradeInfoTree();
}
