package com.nantian.cloud.jljc.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.entity.DischargeEnergyConstruction;
import com.nantian.cloud.jljc.vo.dischargeEnergy.DischargeEnergyConstructionVo;

import java.util.List;

/**
 * 两高项目在建表服务接口
 *
 * @author gj
 * @since 2022-02-17 09:31:49
 * @description 
 */
public interface DischargeEnergyConstructionService extends IService<DischargeEnergyConstruction> {

    IPage<DischargeEnergyConstruction> getPageData(Page page, DischargeEnergyConstruction dischargeEnergyConstruction);

    List<DischargeEnergyConstructionVo> getData(DischargeEnergyConstruction dischargeEnergyConstruction);

    List<DischargeEnergyConstructionVo> addConstruction(String s);

    List<DischargeEnergyConstructionVo> getConstructionProductIndex(Page page, DischargeEnergyConstruction dischargeEnergyConstruction);
}
