package com.nantian.cloud.jljc.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.TDualcontrolProgressApply;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 能耗双控-完成情况修改申请 服务类
 * </p>
 *
 * @author stz
 * @since 2022-02-16
 */
public interface TDualcontrolProgressApplyService extends IService<TDualcontrolProgressApply> {

    //完成情况修改申请记录查询
    IPage<TDualcontrolProgressApply> pageByScope(Page page, TDualcontrolProgressApply apply);

    //未审核的完成情况修改申请条数
    Map<String,String> countByScope(TDualcontrolProgressApply apply);

    //本部门申请修改完成情况记录
    IPage<TDualcontrolProgressApply> ownApply(Page page, TDualcontrolProgressApply apply);
}
