package com.nantian.cloud.jljc.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.entity.TReportEnergyProject;
import com.nantian.cloud.jljc.vo.TReportEnergyQuery;

import java.util.List;

/**
 * 报表1-5项目表 服务类
 * @since 2020-09-16
 * @author stz
 */
public interface TReportEnergyProjectService extends IService<TReportEnergyProject> {

    IPage<TReportEnergyProject> queryList(Page page, TReportEnergyQuery tReportEnergyQuery);

    IPage<TReportEnergyProject>  getByYear(Page page, TReportEnergyQuery tReportEnergyQuery);

    //通过能源报表id获取能耗指标表信息
    IPage<TReportEnergyProject> getProjectByReportId(Page page, Long reportId);

    List<TReportEnergyProject> getProjectTypeList();

}
