package com.nantian.cloud.jljc.service;

import com.nantian.cloud.jljc.entity.TReportUnitenergy;
import com.nantian.cloud.jljc.entity.TReportUnitenergyComp;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 报表1-3-1可比单位产品综合能耗表 服务类
 * @since 2021-01-06
 */
public interface TReportUnitenergyCompService extends IService<TReportUnitenergyComp> {

    //通过根据本年、上年报表id获取获取信息
    List<TReportUnitenergyComp> getUnitenergyCompByReportId(Long reportId, Long prevReportId);

    //根据报表设置信息、上年id初始化报表信息
    List<TReportUnitenergyComp> initialize(List<Long> ids, Long reportId);
}
