package com.nantian.cloud.jljc.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.entity.TSupervisionSuggest;
import com.nantian.cloud.jljc.vo.Query;

import java.util.List;

/**
 *  监察处理建议/复查情况汇总表 服务类
 * @since 2021-01-14
 */
public interface TSupervisionSuggestService extends IService<TSupervisionSuggest> {

    //分页查询监察处理建议/复查情况汇总表
    IPage<TSupervisionSuggest> getSuggestPage(Page page, Query query);

    //查询全部监察处理建议/复查情况汇总表
    List<TSupervisionSuggest> getSuggestList(Query query);

    boolean updateData(TSupervisionSuggest tSupervisionSuggest);
}
