package com.nantian.cloud.jljc.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.TradeInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.vo.TreeVo;

import java.util.List;

/**
 * <p>
 * 行业信息 服务类
 * </p>
 *
 * @author stz
 * @since 2020-08-05
 */
public interface TradeInfoService extends IService<TradeInfo> {

    IPage<TradeInfo> getPageScope(Page page, TradeInfo tradeInfo);

    //行业信息（节能）大类下拉框
    List<TradeInfo> tradeInfoSelect();

    //行业信息（节能）树形
    List<TreeVo> tradeInfoTree();
}
