package com.nantian.cloud.jljc.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.entity.CcDirect;
import com.nantian.cloud.jljc.entity.ReportDate;
import com.nantian.cloud.jljc.mapper.CcDirectMapper;
import com.nantian.cloud.jljc.mapper.ReportDateMapper;
import com.nantian.cloud.jljc.service.CcDirectService;
import com.nantian.cloud.jljc.service.ReportDateService;
import com.nantian.cloud.jljc.vo.CcDirectVo;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * <p>
 * 上报截止日期管理 服务实现类
 * </p>
 *
 * @author
 * @since 2020-08-05
 */
@Service("ccDirectService")
public class CcDirectServiceImpl extends ServiceImpl<CcDirectMapper, CcDirect> implements CcDirectService {

    public List<CcDirectVo> getAllByEpcYear(String epc, Integer year){
        return this.baseMapper.getAllByEpcYear(epc,year);
    }
}
