package com.nantian.cloud.jljc.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.entity.DischargeEnergyKeyFields;
import com.nantian.cloud.jljc.mapper.DischargeEnergyKeyFieldsMapper;
import com.nantian.cloud.jljc.service.DischargeEnergyKeyFieldsService;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 两高行业及其重点领域 服务实现类
 * </p>
 *
 * @author fyf
 * @since 2022-03-23
 */
@Service
public class DischargeEnergyKeyFieldsServiceImpl extends ServiceImpl<DischargeEnergyKeyFieldsMapper, DischargeEnergyKeyFields> implements DischargeEnergyKeyFieldsService {

    @Override
    public List<DischargeEnergyKeyFields> getSearchList(DischargeEnergyKeyFields dischargeEnergyKeyFields) {
        return baseMapper.searchList(dischargeEnergyKeyFields);
    }

    @Override
    public IPage<DischargeEnergyKeyFields> getPage(Page page, DischargeEnergyKeyFields dischargeEnergyKeyFields, DataScope dataScope) {
        return baseMapper.getPage(page, dischargeEnergyKeyFields,dataScope);
    }
}
