package com.nantian.cloud.jljc.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.EnergyLevel;
import com.nantian.cloud.jljc.mapper.EnergyLevelMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.service.EnergyLevelService;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 能耗级别 服务实现类
 * </p>
 *
 * @author stz
 * @since 2020-08-05
 */
@Service("energyLevelService")
public class EnergyLevelServiceImpl extends ServiceImpl<EnergyLevelMapper, EnergyLevel> implements EnergyLevelService {

    @Override
    public IPage<EnergyLevel> getPageScope(Page page, EnergyLevel energyLevel) {
        //return baseMapper.getPageScope(page,energyLevel,new DataScope());
        return baseMapper.getPageScope(page,energyLevel);
    }
}
