package com.nantian.cloud.jljc.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.GovCriterion;
import com.nantian.cloud.jljc.mapper.GovCriterionMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.service.GovCriterionService;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 节能减排法规标准 服务实现类
 * </p>
 *
 * @author stz
 * @since 2020-08-05
 */
@Service("govCriterionService")
public class GovCriterionServiceImpl extends ServiceImpl<GovCriterionMapper, GovCriterion> implements GovCriterionService {

    @Override
    public IPage<GovCriterion> getPageScope(Page page, GovCriterion govCriterion) {
        //return baseMapper.getPageScope(page,govCriterion,new DataScope());
        return baseMapper.getPageScope(page,govCriterion);
    }
}
