package com.nantian.cloud.jljc.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.GovTarget;
import com.nantian.cloud.jljc.mapper.GovTargetMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.service.GovTargetService;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 国家能耗指标信息 服务实现类
 * </p>
 *
 * @author stz
 * @since 2020-08-05
 */
@Service("govTargetService")
public class GovTargetServiceImpl extends ServiceImpl<GovTargetMapper, GovTarget> implements GovTargetService{

    @Override
    public IPage<GovTarget> getPageScope(Page page, GovTarget govTarget) {
        //return baseMapper.getPageScope(page,govTarget,new DataScope());
        return baseMapper.getPageScope(page,govTarget);
    }

    @Override
    public List<GovTarget> getByTypeName(String name) {
        return baseMapper.getByTypeName(name);
    }
}
