package com.nantian.cloud.jljc.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.MeasurementUnit;
import com.nantian.cloud.jljc.mapper.MeasurementUnitMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.service.MeasurementUnitService;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 计量单位信息 服务实现类
 * </p>
 *
 * @author stz
 * @since 2020-08-05
 */
@Service("measurementUnitService")
public class MeasurementUnitServiceImpl extends ServiceImpl<MeasurementUnitMapper, MeasurementUnit> implements MeasurementUnitService {

    @Override
    public IPage<MeasurementUnit> getPageScope(Page page, MeasurementUnit measurementUnit) {
        //return baseMapper.getPageScope(page,measurementUnit,new DataScope());
        return baseMapper.getPageScope(page,measurementUnit);
    }
}
