package com.nantian.cloud.jljc.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.TPolicy;
import com.nantian.cloud.jljc.mapper.TPolicyMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.service.TPolicyService;
import org.springframework.stereotype.Service;

/**
 * 政策文件 服务实现类
 *
 * @since 2021-02-03
 */
@Service("tPolicyService")
public class TPolicyServiceImpl extends ServiceImpl<TPolicyMapper, TPolicy> implements TPolicyService {

    @Override
    public IPage<TPolicy> getPageGov(Page page, TPolicy tPolicy) {
        return baseMapper.getPageGov(page, tPolicy);
    }

    @Override
    public IPage<TPolicy> getPageCmp(Page page, TPolicy tPolicy) {
        return baseMapper.getPageCmp(page, tPolicy);
    }
}
