package com.nantian.cloud.jljc.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.TProjectEnergySaving;
import com.nantian.cloud.jljc.mapper.TProjectEnergySavingMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.service.TProjectEnergySavingService;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.springframework.stereotype.Service;

/**
 * 固定资产投资项目节能审查 服务实现类
 * @author stz
 * @since 2020-09-21
 */
@Service("tProjectEnergySavingService")
public class TProjectEnergySavingServiceImpl extends ServiceImpl<TProjectEnergySavingMapper, TProjectEnergySaving> implements TProjectEnergySavingService {

    @Override
    public IPage<TProjectEnergySaving> getPageScope(Page page, TProjectEnergySaving tProjectEnergySaving) {
        return baseMapper.getPageScope(page,tProjectEnergySaving, new DataScope());
    }

    @Override
    public IPage<TProjectEnergySaving> getPageScope2(Page page, TProjectEnergySaving tProjectEnergySaving) {
        return baseMapper.getPageScope2(page,tProjectEnergySaving, new DataScope());
    }

    @Override
    public IPage<TProjectEnergySaving> queryListByCmp(Page page, TProjectEnergySaving tProjectEnergySaving) {
        return baseMapper.queryListByCmp(page,tProjectEnergySaving);
    }
}
