package com.nantian.cloud.jljc.service.impl;

import com.nantian.cloud.jljc.entity.TReportUnitenergyComp;
import com.nantian.cloud.jljc.mapper.TReportUnitenergyCompMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.service.TReportUnitenergyCompService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 报表1-3-1可比单位产品综合能耗表 服务实现类
 * @since 2021-01-06
 */
@Service("tReportUnitenergyCompService")
public class TReportUnitenergyCompServiceImpl extends ServiceImpl<TReportUnitenergyCompMapper, TReportUnitenergyComp> implements TReportUnitenergyCompService {

    @Override
    public List<TReportUnitenergyComp> getUnitenergyCompByReportId(Long reportId, Long prevReportId) {
        return baseMapper.getUnitenergyCompByReportId(reportId,prevReportId);
    }

    @Override
    public List<TReportUnitenergyComp> initialize(List<Long> ids, Long reportId) {
        return baseMapper.initialize(ids,reportId);
    }
}
