package com.nantian.cloud.jljc.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.entity.TSupervisionComprehensiveEnergy;
import com.nantian.cloud.jljc.mapper.TSupervisionComprehensiveEnergyMapper;
import com.nantian.cloud.jljc.service.TSupervisionComprehensiveEnergyService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 节能监察综合能耗 服务实现类
 * @since 2020-11-12
 */
@Service("tSupervisionComprehensiveEnergyService")
public class TSupervisionComprehensiveEnergyServiceImpl extends ServiceImpl<TSupervisionComprehensiveEnergyMapper, TSupervisionComprehensiveEnergy> implements TSupervisionComprehensiveEnergyService {

    @Override
    public List<TSupervisionComprehensiveEnergy> getByUnitEnergyId(TSupervisionComprehensiveEnergy tSupervisionComprehensiveEnergy) {
        return baseMapper.getByUnitEnergyId(tSupervisionComprehensiveEnergy);
    }
}
