package com.nantian.cloud.jljc.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 直接排放明细表
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CcDirectVo extends Model<CcDirectVo> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    /**
    企业社会信用代码
     */
    @ApiModelProperty(value = "企业社会信用代码")
    private  String enterpriseCode;

    /**
     企业名称
     */
    @ApiModelProperty(value = "企业名称")
    private  String cmpName;

    /**
     year
     */
    @ApiModelProperty(value = "year")
    private  Integer year;

    /**
    能源ID
     */
    @ApiModelProperty(value = "能源ID")
    private Integer  energyId;

    /**
     能源名称
     */
    @ApiModelProperty(value = "能源名称")
    private  String energyName;

    /**
     能源消费量
     */
    @ApiModelProperty(value = "能源消费量")
    private String energyValue;

}
