package com.nantian.cloud.jljc.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 直接排放因子
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CcFactorVo extends Model<CcFactorVo> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "id")
    private Long id;

    /**
     能源id
     */
    @ApiModelProperty(value = "能源id")
    private  Integer energyId;

    /**
     能源名称
     */
    @ApiModelProperty(value = "能源名称")
    private  String energyName;

    /**
     低位热值
     */
    @ApiModelProperty(value = "低位热值")
    private  BigDecimal hotValue;

    /**
     低位热值单位
     */
    @ApiModelProperty(value = "低位热值单位")
    private String  hotValueUnit;

    /**
     单位热值含碳量
     */
    @ApiModelProperty(value = "单位热值含碳量")
    private BigDecimal ccValue;

    /**
     单位热值含碳量单位
     */
    @ApiModelProperty(value = "单位热值含碳量单位")
    private String ccValueUnit;

    /**
     碳氧化率
     */
    @ApiModelProperty(value = "碳氧化率")
    private BigDecimal ofs;





}
