package com.nantian.cloud.jljc.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 企业信息对象前端展示
 *
 * @author stz
 * @since 2020-08-19
 */
@Data
@ApiModel(value = "企业信息对象前端展示")
public class EnterpriseVo {

    /**
     * 统一社会信用代码
     */
    @ApiModelProperty(value = "统一社会信用代码")
    private String enterpriseCode;

    /**
     * 企业名称
     */
    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

}
