package com.nantian.cloud.jljc.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 指标设定json
 * @author stz
 * @since 2020-09-16
 */
@Data
@ApiModel(value = "指标设定json")
public class JsonEnergyindexVo{

    /**
     * 指标名称
     */
    @ApiModelProperty(value = "指标名称")
    private String indexName;

    /**
     * 指标单位
     */
    @ApiModelProperty(value = "指标单位")
    private String indexUnit;

    /**
     * 所属行业
     */
    @ApiModelProperty(value = "所属行业")
    private String tradeProductName;

    /**
     * 归类名称
     */
    @ApiModelProperty(value = "归类名称")
    private String kindName;

}
