package com.nantian.cloud.jljc.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 产品信息对象前端展示
 *
 * @author stz
 * @since 2020-08-17
 */
@Data
@ApiModel(value = "产品信息对象前端展示")
public class ProductInfoVo {

    /**
     * 产品代码
     */
    @ApiModelProperty(value = "产品代码")
    private String productNum;

    /**
     * 产品名称
     */
    @ApiModelProperty(value = "产品名称")
    private String productName;

    /**
     * 计量单位
     */
    @ApiModelProperty(value = "计量单位")
    private String unit;
}
