package com.nantian.cloud.jljc.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "备案管理能源管理人员下载对象")
public class RecordPersonManagerPOJO extends BaseRowModel {

    /*@ExcelProperty(value = "主键",index = 1)
    private String id;*/

    @ExcelProperty(value = "企业信用代码",index = 1)
    private String epc;

    @ExcelProperty(value = "企业名称",index = 2)
    private String epcName;

    @ExcelProperty(value = "人员名称",index = 3)
    private String name;

    @ExcelProperty(value = "人员电话",index = 4)
    private String phone;

    @ExcelProperty(value = "人员职务",index = 5)
    private String duties;

    @ExcelProperty(value = "证件类型",index = 6)
    private String cardType;

    @ExcelProperty(value = "证件号",index = 7)
    private String cardCode;

    @ExcelProperty(value = "工作年限",index = 8)
    private String workExperience;

    @ExcelProperty(value = "简介",index = 9)
    private String profile;

    @ExcelProperty(value = "备案年度",index = 10)
    private String year;

    @ExcelProperty(value = "地区1",index = 11)
    private String parea;

    @ExcelProperty(value = "地区2",index = 12)
    private String area;

    @ExcelProperty(value = "行业1",index = 13)
    private String ptrade;

    @ExcelProperty(value = "行业2",index = 14)
    private String trade;

    @ExcelProperty(value = "数据更新时间",index = 15)
    private String updateDate;

    public void setCardType(String cardType) {
        if (cardType.equals("1")) {
            this.cardType = "身份证";
        } else if (cardType.equals("2")) {
            this.cardType = "驾驶证";
        } else if (cardType.equals("3")) {
            this.cardType = "行驶证";
        } else if (cardType.equals("4")) {
            this.cardType = "社会保障卡";
        } else if (cardType.equals("5")) {
            this.cardType = "护照";
        } else if (cardType.equals("6")) {
            this.cardType = "港澳通行证";
        } else {
            this.cardType = "其他证件";
        }
    }

}
