package com.nantian.cloud.jljc.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("区域、监察人员vo类")
public class RegionPersonTreeVo extends TreeVo {

    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "行政执法编号")
    private String code;

    @ApiModelProperty(value = "工作单位")
    private String organizationid;

    @ApiModelProperty(value = "工作单位名称")
    private String organizationName;

    @ApiModelProperty(value = "工作职位")
    private String jobs;

    @ApiModelProperty(value = "负责区域")
    private String areaCode;

    @ApiModelProperty(value = "负责区域名称")
    private String areaName;

    @ApiModelProperty(value = "操作id")
    private Integer userid;

    @ApiModelProperty(value = "状态：0正常，1停用")
    private String state;

    @ApiModelProperty(value = "注销状态：1未删除，4已删除")
    private String delFlag;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "电话")
    private String telephone;
}
