package com.nantian.cloud.jljc.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.nantian.cloud.jljc.entity.TSuperviseTaskApply;
import lombok.Data;

import java.util.Date;

@Data
public class TSuperviseTaskApplyVo extends TSuperviseTaskApply {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Integer id;

    /**
     * 监察编号
     */
    private String monitorId;

    /**
     * 申请用户Id
     */
    private Integer modifyUserId;

    /**
     * 申请用户
     */
    private String modifyUserName;

    /**
     * 申请时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd", timezone = "GMT+8")
    private Date modifyTime;

    /**
     * 申请原因
     */
    private String modifyComments;

    /**
     * 审核结果
     */
    private String auditResult;

    /**
     * 审核用户Id
     */
    private Integer auditUserId;

    /**
     * 审核用户名称
     */
    private String auditUserName;

    /**
     * 审核时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd", timezone = "GMT+8")
    private Date auditTime;

    /**
     * 审核结论
     */
    private String auditComments;

    /**
     * 删除标志
     */
    private String delFlag;

    /**
     * 部门Id
     */
    private Integer deptId;

    /**
     * 被监察企业
     */
    private String monitoredEnt;
}
