package com.nantian.cloud.jljc.vo;

import com.nantian.sc.cloud.admin.api.dto.TreeNode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@Data
@ApiModel(value = "多选下拉框树形结构")
public class TreeMultiVo implements Serializable {

    @ApiModelProperty(value = "当前节点id")
    protected int id;

    @ApiModelProperty(value = "父节点id")
    protected int parentId;

    @ApiModelProperty(value = "名称")
    private String title;

    @ApiModelProperty(value = "子节点列表")
    private List<TreeMultiVo> children = new ArrayList<TreeMultiVo>();
}
