package com.nantian.cloud.jljc.vo.comAnalysis;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel("企业能耗情况分析vo类")
public class AEnergyInfoVo implements Serializable {

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "编码")
    private String code;

    @ApiModelProperty(value = "单位")
    private String unit;

    @ApiModelProperty(value = "数量")
    private double number;

    @ApiModelProperty(value = "上年值")
    private double prevNumber;

    @ApiModelProperty(value = "变化率(%)")
    private float changeRatio;

    @ApiModelProperty(value = "平均值")
    private float average;

    @ApiModelProperty(value = "第1年值（前四年）")
    private double num1;

    @ApiModelProperty(value = "第2年值（前三年）")
    private double num2;

    @ApiModelProperty(value = "第3年值（前两年）")
    private double num3;

    @ApiModelProperty(value = "第4年值（前一年）")
    private double num4;

    @ApiModelProperty(value = "第5年值（本年）")
    private double num5;
}
