package com.nantian.cloud.jljc.vo.comAnalysis;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel("企业产品及产量情况分析vo类")
public class AProductInfoVo implements Serializable {

    @ApiModelProperty(value = "产品名称")
    private String productName;

    @ApiModelProperty(value = "产品编码")
    private String productNum;

    @ApiModelProperty(value = "单位")
    private String unit;

    @ApiModelProperty(value = "设计产能")
    private Double capacity;

    @ApiModelProperty(value = "实际产量")
    private Double yield;

    @ApiModelProperty(value = "上年度年产量")
    private Double prevYield;

    @ApiModelProperty(value = "变化率(%)")
    private Double changeRatio;

    @ApiModelProperty(value = "平均值")
    private Double average;
}
