package com.nantian.cloud.jljc.vo.comAnalysis;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel("企业能耗指标情况情况分析vo类")
public class AUnitenergyInfoVo implements Serializable {

    @ApiModelProperty(value = "指标名称")
    private String quotaName;

    @ApiModelProperty(value = "指标单位")
    private String quotaUnit;

    @ApiModelProperty(value = "指标值")
    private Double guidelineVal;

    @ApiModelProperty(value = "上年指标值")
    private Double prevGuidelineVal;

    @ApiModelProperty(value = "变化率(%)")
    private Double changeRatio;

    @ApiModelProperty(value = "国家（地区）限额")
    private String quotaLimit;
}
