package com.nantian.cloud.jly.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jly.entity.CheckGauges;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.sc.cloud.admin.api.vo.UserVO;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 能源计量器具 Mapper 接口
 * </p>
 *
 * @author scott
 * @since 2020-08-10
 */
@Mapper
public interface CheckGaugesMapper extends BaseMapper<CheckGauges> {

    /**
     * 分页查询能源计量器具
     *
     * @param page      分页
     * @param checkGauges   查询参数
     * @param dataScope
     * @return list
     */
    IPage<List<CheckGauges>> getListPage(Page page, @Param("query") CheckGauges checkGauges);


}
