package com.nantian.cloud.jly.mapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jly.entity.CheckGauges;
import com.nantian.cloud.jly.entity.CheckGaugesReport;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 能源计量器具配备情况统计汇总表B.8
 * @date 2020-09-14 12:01:57
 */
@Mapper
public interface CheckGaugesReportMapper extends BaseMapper<CheckGaugesReport> {
    /**
     * 能源计量器具配备情况统计汇总表B.8
     *
     * @param page      分页
     * @param checkGaugesReport   查询参数
     * @param
     * @return list
     */
    IPage<List<CheckGauges>> getListPage(Page page, @Param("query") CheckGaugesReport checkGaugesReport);


}
