package com.nantian.cloud.jly.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jly.entity.CheckGaugesTypeReport;
import com.nantian.cloud.jly.entity.CheckGaugesTypeReportAmend;
import com.nantian.cloud.jly.vo.CheckGaugesTypeReportAmendSubVo;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigInteger;
import java.util.List;

/**
 * 能源计量器具准确度等级统计汇总表B9
 *
 * @date 2020-09-14 12:01:57
 */
@Mapper
public interface CheckGaugesTypeReportAmendMapper extends BaseMapper<CheckGaugesTypeReportAmend> {
    void deleteByCheckPlanIdAndEpc(@Param("checkPlanId") BigInteger checkPlanId, @Param("epc")String epc);

    int insertByEpcAndNum(@Param("subVo") CheckGaugesTypeReportAmendSubVo subVo);

    int updateAllocation(@Param("subVo") CheckGaugesTypeReportAmendSubVo subVo);
}
