package com.nantian.cloud.jly.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jly.entity.CheckGroup;
import com.nantian.cloud.jly.entity.CheckGroupPersons;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 审查组成员 Mapper 接口
 * </p>
 *
 * @author scott
 * @since 2020-08-10
 */
@Mapper
public interface CheckGroupPersonsMapper extends BaseMapper<CheckGroupPersons> {

    void deleteByName(String name);

    List<CheckGroupPersons> getPage(@Param("page") Page page, @Param("dataScope") DataScope dataScope);
}
