package com.nantian.cloud.jly.mapper;

import com.nantian.cloud.jly.entity.CheckItems;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigInteger;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 企业审查明细 Mapper 接口
 * </p>
 *
 * @author scott
 * @since 2020-08-10
 */
@Mapper
public interface CheckItemsMapper extends BaseMapper<CheckItems> {

    List<Map> getCheckItemsForReport(@Param("checkPlanId") String checkPlanId, @Param("epc")String epc, @Param("checkResult")String checkResult);

    List<CheckItems> queryItems(@Param("checkPlanId")BigInteger checkPlanId,@Param("epc") String epc);

    List<Map> getNoN(@Param("checkPlanId")Integer checkPlanId,@Param("epcList")String[] epcList);
}
