package com.nantian.cloud.jly.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jly.entity.CheckGauges;
import com.nantian.cloud.jly.entity.CheckGaugesReport;
import com.nantian.cloud.jly.entity.CheckLevelDegreeReport;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 能源计量器具准确度等级统计汇总表
 * @date 2020-09-14 12:01:57
 */
@Mapper
public interface CheckLevelDegreeReportMapper extends BaseMapper<CheckLevelDegreeReport> {
    /**
     * 能源计量器具准确度等级统计汇总表
     *
     * @param page      分页
     * @param checkLevelDegreeReport   查询参数
     * @param dataScope
     * @return list
     */
    IPage<List<CheckGauges>> getListPage(Page page, @Param("query") CheckLevelDegreeReport checkLevelDegreeReport);

}
