package com.nantian.cloud.jly.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jly.entity.CheckPersons;
import com.nantian.cloud.jly.entity.CheckPersonsAmend;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigInteger;

/**
 * <p>
 * 能源计量人员修改表 Mapper 接口
 * </p>
 *
 * @author scott
 * @since 2020-08-10
 */
@Mapper
public interface CheckPersonsAmendMapper extends BaseMapper<CheckPersonsAmend> {
    void deleteAmend(@Param("checkPlanId") BigInteger checkPlanId, @Param("epc")String epc);
}
