package com.nantian.cloud.jly.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jly.entity.CheckStore;
import com.nantian.cloud.jly.entity.CheckStoreAmend;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigInteger;

/**
 * <p>
 * 年度重点用能单位能源购进、消费与库存情况修改表 Mapper 接口
 * </p>
 *
 * @author scott
 * @since 2020-08-10
 */
@Mapper
public interface CheckStoreAmendMapper extends BaseMapper<CheckStoreAmend> {

    void deleteByCheckPlanIdAndEpc(@Param("checkPlanId")BigInteger checkPlanId, @Param("epc")String epc);
}
