package com.nantian.cloud.jly.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jly.entity.ConfigureGaugeReplace;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jly.vo.ConfigureGaugeReplaceVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;

/**
 * <p>
 * 能源计量器具更换记录 Mapper 接口
 * </p>
 *
 * @author scott
 * @since 2020-08-07
 */
@Mapper
public interface ConfigureGaugeReplaceMapper extends BaseMapper<ConfigureGaugeReplace> {

    IPage<ConfigureGaugeReplaceVo> getPageData(@Param("page") Page page, @Param("code")String code, @Param("flag")int flag,
            @Param("industryCode")String industryCode, @Param("cmpName")String cmpName,@Param("cmp") String cmp,
            @Param("installManageNo") String installManageNo,@Param("replacedManageNo") String replacedManageNo);

    IPage<ConfigureGaugeReplace> pageCmp(@Param("page") Page page,@Param("query") ConfigureGaugeReplace configureGaugeReplace);
}
