package com.nantian.cloud.jly.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jly.entity.ConfigureGaugeVerify;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jly.vo.ConfigureGaugeVerifyVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 能源计量器具校准记录 Mapper 接口
 * </p>
 *
 * @author scott
 * @since 2020-08-07
 */
@Mapper
public interface ConfigureGaugeVerifyMapper extends BaseMapper<ConfigureGaugeVerify> {

    IPage<ConfigureGaugeVerifyVo> getPageData(@Param("page") Page page, @Param("code")String code, @Param("flag")int flag,
            @Param("industryCode")String industryCode, @Param("cmpName")String cmpName, @Param("cmp") String cmp);

    IPage<ConfigureGaugeVerify> pageCmp(@Param("page") Page page,@Param("query") ConfigureGaugeVerify configureGaugeVerify);

    boolean updateGaugeVerify(@Param("o") ConfigureGaugeVerify configureGaugeVerify);
}
