package com.nantian.cloud.jly.mapper;


import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jly.entity.CheckGauges;
import com.nantian.cloud.jly.entity.EnterpriseInfo;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


/**
 * 请假流程
 *
 * @author
 * @date 2018-09-27 15:20:44
 */
@Mapper
public interface EnterpriseInfoMapper extends BaseMapper<EnterpriseInfo> {

    List<Map> getAllCompany(@Param("dataScope") DataScope dataScope);

    List<Map> queryByEpc(@Param("epc") String epc);


    IPage<EnterpriseInfo> selectPageAll(@Param("page")Page page, @Param("param") EnterpriseInfo enterpriseInfo, @Param("code") String code,@Param("dataScope") DataScope dataScope);

    IPage<EnterpriseInfo> getOnlinePage(Page page, @Param("param") EnterpriseInfo enterpriseInfo, @Param("code") String code,@Param("dataScope") DataScope dataScope);
}
