package com.nantian.cloud.jly.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jly.entity.InspectionData;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigInteger;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 企业自查18项 Mapper 接口
 * </p>
 *
 * @author scott
 * @since 2020-08-10
 */
@Mapper
public interface InspectionDataMapper extends BaseMapper<InspectionData> {

    InspectionData getByPlanIdAndEpc(@Param("checkPlanId") BigInteger checkPlanId, @Param("enterpriseCode") String enterpriseCode);
}
