package com.nantian.cloud.jly.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jly.entity.TMeasuringInstruments;
import com.nantian.cloud.jly.vo.TreeVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 计量器具信息 Mapper 接口
 * @since 2020-10-17
 */
@Mapper
public interface TMeasuringInstrumentsMapper extends BaseMapper<TMeasuringInstruments> {

    //获取计量器具信息树形结构
    List<TreeVo> getTree();
}
