package com.nantian.cloud.jly.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jly.entity.CheckGaugesTypeReport;
import com.nantian.cloud.jly.entity.CheckGaugesTypeReportAmend;
import com.nantian.cloud.jly.entity.InspectionData;
import com.nantian.cloud.jly.vo.CheckGaugesTypeReportAmendSubVo;
import com.nantian.sc.cloud.common.core.util.R;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.multipart.MultipartFile;

import java.math.BigInteger;
import java.util.List;

/**
 * 能源计量器具配备情况统计汇总表B.8续修改表
 *
 * @date 2020-09-14 12:01:57
 */
public interface CheckGaugesTypeReportAmendService extends IService<CheckGaugesTypeReportAmend> {

    void deleteByCheckPlanIdAndEpc(BigInteger checkPlanId, String epc);
    int insertByEpcAndNum(CheckGaugesTypeReportAmendSubVo subVo);

    int updateAllocation(CheckGaugesTypeReportAmendSubVo subVo);


}

