package com.nantian.cloud.jly.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jly.entity.CheckGaugesTypeReport;
import com.nantian.cloud.jly.entity.CheckLevelDegreeReport;
import com.nantian.cloud.jly.entity.InspectionData;
import com.nantian.sc.cloud.common.core.util.R;
import org.springframework.web.multipart.MultipartFile;

import java.math.BigInteger;
import java.util.List;

/**
 * 能源计量器具配备情况统计汇总表B.8续
 *
 * @date 2020-09-14 12:01:57
 */
public interface CheckGaugesTypeReportService extends IService<CheckGaugesTypeReport> {
    IPage getPageScope(Page page, CheckGaugesTypeReport checkGaugesTypeReport);

    R excelImport(MultipartFile file, BigInteger checkPlanId, String epc, InspectionData inspectionData);

    List<CheckGaugesTypeReport> selectByCheckPlanidAndEpc(Long checkPlanId, String enterpriseCode);

    List<CheckGaugesTypeReport> getInfoList(CheckGaugesTypeReport checkGaugesTypeReport);
}

