package com.nantian.cloud.jly.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jly.entity.CheckPlan;


/**
 * 审查计划表
 *
 * @author
 * @date 2018-09-27 15:20:44
 */
public interface CheckPlanService extends IService<CheckPlan> {

    //根据查询条件分页获取审查计划表
    IPage<CheckPlan> getByPage(Page page, CheckPlan checkPlan);

    //根据企业社会信用编码获取审查计划表
    IPage<CheckPlan> getPageByEpc(Page page, String epc);
}

