package com.nantian.cloud.jly.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jly.entity.CompanyCalculater;
import com.nantian.sc.cloud.common.core.util.R;
import org.apache.xmlbeans.impl.piccolo.io.FileFormatException;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;


/**
 * 请假流程
 *
 * @author
 * @date 2018-09-27 15:20:44
 */
public interface CompanyCalculaterService extends IService<CompanyCalculater> {

    List<Map> getCaculaterStatistics();

    IPage getPageData(Page page, String areaCodes, String industryCode, String cmpName,String calculaterName);

    IPage<CompanyCalculater> pageCmp(Page page, CompanyCalculater companyCalculater);

    //导入excel
    R excelImport(MultipartFile file,String epc) throws FileFormatException;

    IPage<CompanyCalculater> selectByCmp(Page page, CompanyCalculater companyCalculater);
}

