package com.nantian.cloud.jly.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jly.entity.CheckAbnormalReport;
import com.nantian.cloud.jly.mapper.CheckAbnormalReportMapper;
import com.nantian.cloud.jly.service.CheckAbnormalReportService;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *
 * @date 2018-09-27
 */
@Service("CheckAbnormalReportService")
public class CheckAbnormalReportServiceImpl extends ServiceImpl<CheckAbnormalReportMapper, CheckAbnormalReport> implements CheckAbnormalReportService {

    @Override
    public IPage<CheckAbnormalReport> getPageScope(Page page, CheckAbnormalReport checkAbnormalReport) {
        return baseMapper.getPageScope(page, checkAbnormalReport, new DataScope());
    }

    @Override
    public List<CheckAbnormalReport> getByEpc(CheckAbnormalReport checkAbnormalReport) {
        return baseMapper.getByEpc(checkAbnormalReport);
    }
}

