package com.nantian.cloud.jly.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jly.entity.CheckBasis;
import com.nantian.cloud.jly.entity.CheckVerdict;
import com.nantian.cloud.jly.mapper.CheckBasisMapper;
import com.nantian.cloud.jly.mapper.CheckVerdictMapper;
import com.nantian.cloud.jly.service.CheckBasisService;
import com.nantian.cloud.jly.service.CheckVerdictService;
import org.springframework.stereotype.Service;

import java.math.BigInteger;
import java.util.List;
import java.util.Map;

/**
 * 审批意见表
 */
@Service("checkBasisService")
public class CheckBasisServiceImpl extends ServiceImpl<CheckBasisMapper, CheckBasis> implements CheckBasisService {

    @Override
    public void deleteByPlanId(BigInteger checkPlanId, String epc) {
        baseMapper.deleteByCheckPlanId(checkPlanId,epc);
    }

    @Override
    public List<Map> getGBList() {
        return baseMapper.getGBList();
    }
}
