package com.nantian.cloud.jly.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jly.entity.ConfigureDevice;
import com.nantian.cloud.jly.entity.ConfigureGridding;
import com.nantian.cloud.jly.mapper.ConfigureDeviceMapper;
import com.nantian.cloud.jly.mapper.ConfigureGriddingMapper;
import com.nantian.cloud.jly.service.ConfigureDeviceService;
import com.nantian.cloud.jly.service.ConfigureGriddingService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 *
 * @date 2018-09-27
 */
@Service("ConfigureDeviceService")
public class ConfigureDeviceServiceImpl extends ServiceImpl<ConfigureDeviceMapper, ConfigureDevice> implements ConfigureDeviceService {


    @Override
    public IPage<ConfigureDevice> getDevPage(Page page, ConfigureDevice configureDevice) {
        return baseMapper.getDevPage(page,configureDevice);
    }
}

