package com.nantian.cloud.jly.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jly.entity.TMeasuringInstruments;
import com.nantian.cloud.jly.mapper.TMeasuringInstrumentsMapper;
import com.nantian.cloud.jly.service.TMeasuringInstrumentsService;
import com.nantian.cloud.jly.vo.TreeVo;
import org.springframework.stereotype.Service;
import java.util.List;
import static com.nantian.cloud.jly.vo.TreeVoUtil.findTree;

/**
 * 计量器具信息 服务实现类
 * @since 2020-10-17
 */
@Service("t_measuring_instruments_service")
public class TMeasuringInstrumentsServiceImpl extends ServiceImpl<TMeasuringInstrumentsMapper, TMeasuringInstruments> implements TMeasuringInstrumentsService {

    @Override
    public List<TreeVo> getTree() {
        List<TreeVo> tree = baseMapper.getTree();
        return findTree(tree,"0");
    }
}
