package com.nantian.cloud.query.entity.jljc;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 多维度查询字典库(multi_dimension_dict)实体类
 *
 * @author kancy
 * @since 2022-02-17 10:46:10
 * @description 由 Mybatisplus Code Generator 创建
 */
@Data
@Accessors(chain = true)
@TableName("multi_dimension_dict")
@EqualsAndHashCode(callSuper = true)
public class MultiDimensionDict extends Model<MultiDimensionDict>{
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId
	private Integer id;
    /**
     * 字典名称
     */
    private String dictName;
    /**
     * 字典编码
     */
    private String dictCode;
    /**
     * 描述
     */
    private String remark;
    /**
     * 创建人
     */
    private String createBy;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新用户
     */
    private String updateBy;
    /**
     * 更新时间
     */
    @TableField(update = "now()")
	private Date updateTime;
    /**
     * 版本
     */
    private Integer version;
    /**
     * 字典类型（1：表，0：字段）
     */
    private String dictType;
    /**
     * 字典归属
     */
    private String dictBelong;
    /**
     * 删除状态
     */
    private String delFlag;

}
