package com.nantian.cloud.query.service.jljc.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.query.entity.jljc.MultiDimensionDict;
import com.nantian.cloud.query.mapper.jljc.MultiDimensionDictMapper;
import com.nantian.cloud.query.service.jljc.MultiDimensionDictService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 多维度查询字典库服务接口实现
 *
 * @author kancy
 * @since 2022-02-17 10:46:10
 * @description 由 Mybatisplus Code Generator 创建
 */
@Service("MultiDimensionDictService")
public class MultiDimensionDictServiceImpl extends ServiceImpl<MultiDimensionDictMapper, MultiDimensionDict> implements MultiDimensionDictService {
    @Autowired
    MultiDimensionDictMapper multiDimensionDictMapper;

    @Override
    public IPage<MultiDimensionDict> getPageScope(Page page, MultiDimensionDict multiDimensionDict) {
        return multiDimensionDictMapper.getPageScope(page,multiDimensionDict);
    }

    @Override
    public List<MultiDimensionDict> getList(MultiDimensionDict multiDimensionDict) {
        return multiDimensionDictMapper.getList(multiDimensionDict);
    }
}
