package com.nantian.cloud.query.service.jljc.impl;

import cn.hutool.db.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.query.entity.jljc.MultiDimensionTableRelationship;
import com.nantian.cloud.query.mapper.jljc.MultiDimensionTableRelationshipMapper;
import com.nantian.cloud.query.service.jljc.MultiDimensionTableRelationshipService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 多维度数据查询表关系服务接口实现
 *
 * @author kancy
 * @since 2022-02-17 10:46:27
 * @description 由 Mybatisplus Code Generator 创建
 */
@Slf4j
@RequiredArgsConstructor
@Service("MultiDimensionTableRelationshipService")
public class MultiDimensionTableRelationshipServiceImpl extends ServiceImpl<MultiDimensionTableRelationshipMapper, MultiDimensionTableRelationship> implements MultiDimensionTableRelationshipService {
    private final MultiDimensionTableRelationshipMapper multiDimensionTableRelationshipMapper;

    @Override
    public IPage<MultiDimensionTableRelationship> getPageScope(Page page, MultiDimensionTableRelationship multiDimensionTableRelationship) {
        return baseMapper.getPageScope(page,multiDimensionTableRelationship);
    }
}
