

package com.nantian.sc.cloud.common.gateway.annotation;

import com.nantian.sc.cloud.common.gateway.configuration.DynamicRouteAutoConfiguration;
import org.springframework.context.annotation.Import;

import java.lang.annotation.*;

/**
 * @author
 * @date 2018/11/5
 * <p>
 * 开启sc 动态路由
 */
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
@Import(DynamicRouteAutoConfiguration.class)
public @interface EnableScDynamicRoute {
}
