

package com.nantian.sc.cloud.admin.api.dto;

import com.nantian.sc.cloud.admin.api.entity.SysUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 *
 * @date 2017/11/5
 */
@Data
@ApiModel(value = "系统用户传输对象")
@EqualsAndHashCode(callSuper = true)
public class UserDTO extends SysUser {
	/**
	 * 角色ID
	 */
	@ApiModelProperty(value = "角色id集合")
	private List<Integer> role;
	/**
	 * 部门id
	 */
	@ApiModelProperty(value = "部门id")
	private Integer deptId;
	/**
	 * 类别（1政府用户 2企业用户）
	 */
	@ApiModelProperty(value = "类别（1政府用户 2企业用户）")
	private String type;
	/**
	 * 新密码
	 */
	@ApiModelProperty(value = "新密码")
	private String newpassword1;
}
