package com.nantian.sc.cloud.admin.api.feign;

import com.nantian.sc.cloud.admin.api.entity.OperationLog;
import com.nantian.sc.cloud.common.core.constant.ServiceNameConstants;
import com.nantian.sc.cloud.common.core.util.R;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(contextId = "remoteOperationLogService", value = ServiceNameConstants.UPMS_SERVICE)
public interface RemoteOperationLogService {

	@PostMapping("/operationLog/save")
	R save(@RequestBody OperationLog operationLog);

}
