

package com.nantian.sc.cloud.admin;


import com.nantian.sc.cloud.common.security.annotation.EnableScFeignClients;
import com.nantian.sc.cloud.common.security.annotation.EnableScResourceServer;
import com.nantian.sc.cloud.common.swagger.annotation.EnableScSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;

/**
 *
 * @date 2018年06月21日
 * <p>
 * 用户统一管理系统
 */
@EnableScSwagger2
@SpringCloudApplication
@EnableScFeignClients
@EnableScResourceServer
public class NtAdminApplication {
	public static void main(String[] args) {
		SpringApplication.run(NtAdminApplication.class, args);
	}

}
