

package com.nantian.sc.cloud.admin.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.sc.cloud.admin.api.entity.SysDict;
import com.nantian.sc.cloud.admin.api.vo.UserVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 字典表 Mapper 接口
 * </p>
 *
 *
 * @since 2017-11-19
 */
public interface SysDictMapper extends BaseMapper<SysDict> {

    IPage<List<SysDict>> getDictPage(Page page, @Param("query") SysDict dict);

}
