
package com.nantian.sc.cloud.admin.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.sc.cloud.admin.api.dto.UserDTO;
import com.nantian.sc.cloud.admin.api.entity.SysDict;
import com.nantian.sc.cloud.common.core.util.R;

import java.util.List;

/**
 * 字典表
 *
 *
 * @date 2019/03/19
 */
public interface SysDictService extends IService<SysDict> {

	/**
	 * 根据ID 删除字典
	 *
	 * @param id
	 * @return
	 */
	R removeDict(Integer id);

	/**
	 * 更新字典
	 *
	 * @param sysDict 字典
	 * @return
	 */
	R updateDict(SysDict sysDict);


	IPage<List<SysDict>>  getDictPage(Page page, SysDict dict);
}
