

package com.nantian.sc.cloud.act;

import com.nantian.sc.cloud.common.security.annotation.EnableScFeignClients;
import com.nantian.sc.cloud.common.security.annotation.EnableScResourceServer;
import com.nantian.sc.cloud.common.swagger.annotation.EnableScSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;

/**
 *
 * @date 2018/9/25
 * 工作流管理模块
 */
@EnableScSwagger2
@EnableScFeignClients
@EnableScResourceServer
@SpringCloudApplication
public class NtActivitiApplication {

	public static void main(String[] args) {
		SpringApplication.run(NtActivitiApplication.class, args);
	}

}
