

package com.nantian.sc.cloud.pay;

import com.nantian.sc.cloud.common.security.annotation.EnableScFeignClients;
import com.nantian.sc.cloud.common.security.annotation.EnableScResourceServer;
import com.nantian.sc.cloud.common.swagger.annotation.EnableScSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;

/**
 *
 * @date 2019年05月27日17:25:38
 * <p>
 * 支付模块
 */
@EnableScSwagger2
@SpringCloudApplication
@EnableScFeignClients
@EnableScResourceServer
public class NtPayApplication {

	public static void main(String[] args) {
		SpringApplication.run(NtPayApplication.class, args);
	}
}
